<?php add_action('init', 'of_options');

if (!function_exists('of_options')) {

    function of_options() {
        // Translate
        $srpnt_domain_name = 'serpentsoft';
        
        //Access the WordPress Categories via an Array
        $of_categories = array();
        $get_cats_args = array('hide_empty' => 0, 'hierarchical' => 1);
        $of_categories_obj = get_categories($get_cats_args);

        foreach ($of_categories_obj as $of_cat) {
            $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;
        }
        $categories_tmp = array_unshift($of_categories, "Select a category:");

        //Categories with 'Recent Posts' via an Array
//        $of_categories2 = array();
//        $get_cats_args2 = array('hide_empty' => 0, 'hierarchical' => 1);
//        $of_categories_obj2 = get_categories($get_cats_args2);
//
//        foreach ($of_categories_obj2 as $of_cat) {
//            $of_categories2[$of_cat->cat_ID] = $of_cat->cat_name;
//        }
//        $categories_tmp2 = array_unshift($of_categories2, "Recent Posts");

        //Access the WordPress Pages via an Array
        $of_pages = array();
        $of_pages_obj = get_pages('sort_column=post_parent,menu_order');
        foreach ($of_pages_obj as $of_page) {
            $of_pages[$of_page->ID] = $of_page->post_name;
        }
        $of_pages_tmp = array_unshift($of_pages, "Select a page:");

        //Testing 
        $of_options_select = array("one", "two", "three", "four", "five");
        $of_options_radio = array("one" => "One", "two" => "Two", "three" => "Three", "four" => "Four", "five" => "Five");

        $of_options_mainLogo = array("logoTitle" => "Website Title", "logoCustom" => "Custom Logo Image");
        $of_options_rss = array("RSShide" => "Hide RSS Icon", "RSSdefault" => "Default (WordPress) RSS 2.0 URL", "RSScustom" => "Custom Feed URL");

        // Post Meta Info Elements
        $of_multicheck_meta_info = array("author" => "Author", "date" => "Published Date", "comments" => "# of Comments", "views" => "# of Views", "tags" => "Post Tags", "like" => "Like Post/Page");
        
        // Post Meta Info Elements for Homepage Categories
        $of_multicheck_meta_info_hp_cats = array("date" => "Published Date", "comments" => "# of Comments", "views" => "# of Views", "like" => "# of Likes");
        
        $of_options_fullWidth_custom_conten_alignment = array( "left" => "Left", "center" => "Center", "right" => "Right");
        
        // Slider Home - Animation Effect
        $of_slider_animation_style = array("slide" => "Slide", "fade" => "Fade",);
        
        /* Link Decoration */
        $of_options_link_decoration = array( 'default' => 'Default', 'blink' => 'Blink', 'overline' => 'Overline', 'line-through' => 'Line-Through', 'underline' => 'Underline' );
        
        /* =========== Body Background Style =========== */
        $of_options_body_background_style = array("none" => "None", "pattern" => "Pattern", "custom" => "Custom Background Image");
        
        $of_options_body_background_image_repeat = array('default' => 'Default', 'repeat' => 'Repeat', 'repeat-x' => 'Repeat-X', 'repeat-y' => 'Repeat-Y', 'no-repeat' => 'No Repeat');
        $of_options_body_background_image_attachment = array('default' => 'Default', 'fixed' => 'Fixed', 'scroll' => 'Scroll', 'local' => 'Local');
        $of_options_body_background_image_position_horiz = array('default' => 'Default', 'left' => 'Left', 'center' => 'Center', 'right' => 'Right');
        $of_options_body_background_image_position_vert = array('default' => 'Default', 'top' => 'Top', 'center' => 'Center', 'bottom' => 'Bottom');

        // Get All Categories
        /*$category_ids = get_all_category_ids();

        $cat_array = array("0" => "Recent Posts");
        foreach ($category_ids as $cat_id) {
            $cat_name = get_cat_name($cat_id);
            $cat_array[$cat_id] = $cat_name;
        }

        foreach ($cat_array as $key => $value) {
            // Variable to use inside select function
            $of_options_categories[$key] = $value;
        }*/
        //End of get categories

        //Sample Homepage blocks for the layout manager (sorter)
        $of_options_homepage_blocks = array
            (
            "disabled" => array(
                "placebo" => "placebo", //REQUIRED!
                "block_one" => "Block One",
                "block_two" => "Block Two",
                "block_three" => "Block Three",
            ),
            "enabled" => array(
                "placebo" => "placebo", //REQUIRED!
                "block_four" => "Block Four",
            ),
        );


        //Stylesheets Reader
        $alt_stylesheet_path = LAYOUT_PATH;
        $alt_stylesheets = array();

        if (is_dir($alt_stylesheet_path)) {
            if ($alt_stylesheet_dir = opendir($alt_stylesheet_path)) {
                while (($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false) {
                    if (stristr($alt_stylesheet_file, ".css") !== false) {
                        $alt_stylesheets[] = $alt_stylesheet_file;
                    }
                }
            }
        }


        //Background Images Reader
        $bg_images_path = get_stylesheet_directory() . '/images/bg/'; // change this to where you store your bg images
        $bg_images_url = get_template_directory_uri() . '/images/bg/'; // change this to where you store your bg images
        $bg_images = array();

        if (is_dir($bg_images_path)) {
            if ($bg_images_dir = opendir($bg_images_path)) {
                while (($bg_images_file = readdir($bg_images_dir)) !== false) {
                    if (stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
                        $bg_images[] = $bg_images_url . $bg_images_file;
                    }
                }
            }
        }


        /* ----------------------------------------------------------------------------------- */
        /* TO DO: Add options/functions that use these */
        /* ----------------------------------------------------------------------------------- */

        //More Options
        $uploads_arr = wp_upload_dir();
        $all_uploads_path = $uploads_arr['path'];
        $all_uploads = get_option('of_uploads');
        $other_entries = array("Select a number:", "1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19");
        $body_repeat = array("no-repeat", "repeat-x", "repeat-y", "repeat");
        $body_pos = array("top left", "top center", "top right", "center left", "center center", "center right", "bottom left", "bottom center", "bottom right");

        // Image Alignment radio box
        $of_options_thumb_align = array("alignleft" => "Left", "alignright" => "Right", "aligncenter" => "Center");

        // Image Links to Options
        $of_options_image_link_to = array("image" => "The Image", "post" => "The Post");


        /* ----------------------------------------------------------------------------------- */
        /* The Options Array */
        /* ----------------------------------------------------------------------------------- */

// Set the Options Array
        global $of_options;
        $of_options = array();

// Header: General Settings
        $of_options[] = array("name" => __("General Settings", $srpnt_domain_name),
            "type" => "heading",
            "icon" => "icon-cogs"
        );

        $of_options[] = array("name" => "",
            "desc" => "",
            "id" => "lstHidden_serpentsoft_categories",
            "std" => 0,
            "type" => "wp_hierarchical_categories_hidden"
        );

        $of_options[] = array("name" => "",
            "desc" => "",
            "id" => "lstHidden_serpentsoft_colorPicker",
            "std" => "#fff",
            "type" => "color_hidden"
        );

        $url_assets_images = ADMIN_DIR . 'assets/images/';
        $of_options[] = array("name" => "Hello there!",
            "desc" => "",
            "id" => "introduction",
            "std" => "<h3 style=\"margin: 0 0 10px;\">Adams Magazine Options Panel</h3>
                        Welcome To Adams Magazine Options Panel .. We hope to provide an easy and convenient tool in the administration with a lot of useful choices.
                        <a href=\"http://themeforest.net/downloads/\" target=\"_blank\">If you like this theme please don't forget to rate it\t <img src=" . $url_assets_images . "rating.png></a>",
            "icon" => true,
            "type" => "info"
        );

        // Use Website as a blog
        $of_options[] = array("name" => __("Use Website As Blog" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_general_UseAsBlog",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Note: This option added to fix a pagination issues when set Blog-Page as a FrontPage." , $srpnt_domain_name),
            "id" => "serpentsoft_switch_UseWebsiteAsBlog",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_general_UseAsBlog",
            "type" => "serpentsoftCloseGroup"
        );
        
        // Page Layout
        $of_options[] = array("name" => __("Page Layout (RTL Layout: Left & Right Sidebars will invert)" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_aa1",
            "type" => "serpentsoftOpenGroup"
        );

        $url = ADMIN_DIR . 'backend/images/';
        $of_options[] = array("name" => "",
            "desc" => __("Select page layout sidebars alignment. Choose left, middle and right layouts (Default: Middle)" , $srpnt_domain_name),
            "id" => "serpentsoft_pagelayout",
            "std" => "middle",
            "type" => "images",
            "options" => array(
                'left' => $url . 'layout-left.png',
                'middle' => $url . 'layout-middle.png',
                'right' => $url . 'layout-right.png',
                /* '2cols-left' => $url . 'layout-2cols-left.png',
                '2cols-right' => $url . 'layout-2cols-right.png' */
            )
        );

        $of_options[] = array("id" => "serpentsoft_close_group_aa1",
            "type" => "serpentsoftCloseGroup"
        );

        // Favicon
        $of_options[] = array("name" => __("Favicon Logo" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_favIconLogo",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Choose your own website logo" , $srpnt_domain_name),
            "id" => "serpentsoft_upload_favicon_logo",
            // Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
            "std" => "",
            "type" => "upload"
        );

        $of_options[] = array("id" => "serpentsoft_close_group_favIconLogo",
            "type" => "serpentsoftCloseGroup"
        );

        // Default Avatar
        $of_options[] = array("name" => __("Default Avatar" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_defaultAvatar",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Choose the default avatar" , $srpnt_domain_name),
            "id" => "serpentsoft_upload_avatar",
            // Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
            "std" => "",
            "type" => "upload"
        );

        $of_options[] = array("id" => "serpentsoft_close_group_defaultAvatar",
            "type" => "serpentsoftCloseGroup"
        );


        // Date and Time Formats
        $of_options[] = array("name" => __("Date and Time Formats" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_a5",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => __("Date & Time Format" , $srpnt_domain_name),
            "desc" => __("Date and Time format. Default (j F Y, g:i A). \n Example (25 January 2011, 02:00 AM)" , $srpnt_domain_name),
            "id" => "serpentsoft_dateTime_format",
            "std" => "j F Y, g:i A",
            "type" => "text"
        );

        /* $of_options[] = array("name" => "Date Format",
            "desc" => "Date format only. Default (j F Y). \n Example (25 January 2011)",
            "id" => "serpentsoft_date_format",
            "std" => "j F Y",
            "type" => "text"
        );

        $of_options[] = array("name" => "Time Format",
            "desc" => "Time format only. Default (g:i A). \n Example (02:00 AM)",
            "id" => "serpentsoft_time_format",
            "std" => "g:i A",
            "type" => "text"
        ); */

        $of_options[] = array("name" => __("Date and Time Formats Document" , $srpnt_domain_name),
            "desc" => "",
            "id" => "aDateTimeFormat",
            "std" => "<h3 style=\"margin: 0 0 10px;\">" . __("Take a look to Date/Time Formats" , $srpnt_domain_name) . "</h3><a href=\"http://codex.wordpress.org/Formatting_Date_and_Time\" target=\"_blank\">" . __("Date/Time Formats" , $srpnt_domain_name) . "</a>",
            "icon" => true,
            "type" => "info"
        );

        $of_options[] = array("id" => "serpentsoft_close_group_a5",
            "type" => "serpentsoftCloseGroup"
        );       
        
        // Wordpress Comments Box (Whole Website)
        $of_options[] = array("name" => __("WordPress Comments Box (Whole Website)" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_article_WPcommentsBox",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("WordPress Built-in Comments Box" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_switch_wp_comments_box",
            "std" => 1,
            "type" => "switch"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_article_WPcommentsBox",
            "type" => "serpentsoftCloseGroup"
        );
        
        // Breadcrumb
        $of_options[] = array("name" => __("Breadcrumb" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_breadcrumb",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Toggle ON/OFF" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_breadcrumb",
            "std" => 1,
            "type" => "switch"
        );

        $of_options[] = array("id" => "serpentsoft_close_group_breadcrumb",
            "type" => "serpentsoftCloseGroup"
        );

        // Go To Top Button
        $of_options[] = array("name" => __("Scroll To Top Button" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_gotoTopButton",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Toggle ON/OFF" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_gotoTopButton",
            "std" => 0,
            "type" => "switch"
        );

        $of_options[] = array("id" => "serpentsoft_close_group_gotoTopButton",
            "type" => "serpentsoftCloseGroup"
        );
        
        
        // Header Code ==================================
        $of_options[] = array("name" => __("Header Code" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_headerCode",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => "",
            "desc" => __("This code will add after <head> tag .. You can add your histats or adsense code." , $srpnt_domain_name),
            "id" => "serpentsoft_headerCode",
            "std" => "",
            "type" => "textarea"
        );

        $of_options[] = array("id" => "serpentsoft_close_group_headerCode",
            "type" => "serpentsoftCloseGroup"
        );

        // Footer Code ==================================
        $of_options[] = array("name" => __("Footer Code" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_footerCode",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => "",
            "desc" => __("This code will add before <body> tag closing .. You can add your histats or adsense code." , $srpnt_domain_name),
            "id" => "serpentsoft_footerCode",
            "std" => "",
            "type" => "textarea"
        );

        $of_options[] = array("id" => "serpentsoft_close_group_footerCode",
            "type" => "serpentsoftCloseGroup"
        );


        // ======================================================
        // Header: Menus Settings
        // ======================================================
        // Header: Menus Settings
        $of_options[] = array("name" => __("Menus Settings" , $srpnt_domain_name),
            "type" => "heading",
            "icon" => "icon-th-list"
        );

        // Top Menu
        $of_options[] = array("name" => __("Top Menu" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_ab1",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => __("Top Menu - Toggle ON/OFF" , $srpnt_domain_name),
            "desc" => __("Turn ON/OFF the Top Navigation" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_top_menu",
            "std" => 1,
            "folds" => 1,
            "type" => "switch"
        );

        $of_options[] = array("name" => __("Right Section Menu - Toggle ON/OFF" , $srpnt_domain_name),
            "desc" => __("Turn ON the menu on the right and add the widgets you want to display - ( Go to WordPress Admin Panel -> Appearance -> Widgets ) and Darg & Drop to (Top Menu Wide Sidebar & Top Menu Narrow Sidebar) Sidebars" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_top_menu_right",
            "std" => 0,
            "folds" => 1,
            "type" => "switch"
        );

        $url = ADMIN_DIR . 'backend/images/';
        $of_options[] = array(
            "name" => __("Select Menu Layout (Default: none)" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_top_menu_layout",
            "std" => "f-none",
            "type" => "images",
            "fold" => "serpentsoft_switch_top_menu_right",
            "options" => array(
                'f-none' => $url . 'f-none.png',
                'f-13c-left' => $url . 'f13c-left.png',
                'f-13c-right' => $url . 'f13c-right.png',
                'f-3c' => $url . 'f-3c.png',
            )
        );
        
        $of_options[] = array("name" => __("Menu Title" , $srpnt_domain_name),
            "desc" => __("The title of menu" , $srpnt_domain_name),
            "id" => "serpentsoft_topmenu_title",
            "std" => "About Magazine",
            "fold" => "serpentsoft_switch_top_menu_right",
            "type" => "text"
        );

        $of_options[] = array("name" => __("How To Use Font-Awesome Icons" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_topmenu_title_howto",
            "std" => "<h3 style=\"margin: 0 0 10px;\">" . __("How To Get Icons?" , $srpnt_domain_name) . "</h3>" . 
                        __("Open documentation folder in with theme's folder and open (Font Awesome Icons) tab to see what icons you can use." , $srpnt_domain_name),
            "icon" => true,
            "type" => "info"
        );

        $of_options[] = array("name" => __("Menu Icon" , $srpnt_domain_name),
            "desc" => __("The icon beside text" , $srpnt_domain_name),
            "id" => "serpentsoft_topmenu_title_icon",
            "std" => "icon-lightbulb",
            "fold" => "serpentsoft_switch_top_menu_right",
            "type" => "text"
        );
        
        
        
        $of_options[] = array("name" => __("Date & Time - Toggle ON/OFF" , $srpnt_domain_name),
            "desc" => __("Show/Hide Top Menu Date Time" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_top_menu_rightDateTime",
            "std" => 0,
            "type" => "switch"
        );

        $of_options[] = array("id" => "serpentsoft_close_group_ab1",
            "type" => "serpentsoftCloseGroup"
        );


        // Main Menu
        $of_options[] = array("name" => __("Main Site Menu" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_ac1",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => __("Sticky Menu" , $srpnt_domain_name),
            "desc" => __("Toggle ON/OFF" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_menu_sticky",
            "std" => 0,
            "folds" => 1,
            "type" => "switch"
        );

        $of_options[] = array("name" => __("Random Post" , $srpnt_domain_name),
            "desc" => __("Toggle ON/OFF" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_menu_random_post",
            "std" => 0,
            "folds" => 1,
            "type" => "switch"
        );

        $of_options[] = array("id" => "serpentsoft_close_group_ac1",
            "type" => "serpentsoftCloseGroup"
        );


        // ======================================================
        // Header: Header Settings
        // ======================================================
        // Header: Header Settings
        $of_options[] = array("name" => __("Header Settings" , $srpnt_domain_name),
            "type" => "heading",
            "icon" => "icon-list-alt"
        );

        // Website Main Logo
        $of_options[] = array("name" => __("Website Main Logo" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_mainLogo",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => "",
            "desc" => "",
            "id" => "rdo_serpentsoft_website_main_logo",
            "std" => "logoTitle",
            "type" => "radio",
            "options" => $of_options_mainLogo
        );

        $of_options[] = array("name" => "",
            "desc" => __("Choose your own website logo" , $srpnt_domain_name),
            "id" => "serpentsoft_upload_main_logo",
            // Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
            "std" => "",
            "type" => "upload"
        );

        $of_options[] = array("id" => "serpentsoft_close_group_mainLogo",
            "type" => "serpentsoftCloseGroup"
        );

        // Breaking News
        $of_options[] = array("name" => __("Breaking News Ticker" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_breakingNews",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Toggle ON/OFF" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_breakingnews",
            "std" => 0,
            "folds" => 1,
            "type" => "switch"
        );

        $of_options[] = array("name" => __("Box Title" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_breakingnews_box_title",
            "std" => "Breaking News",
            "fold" => "serpentsoft_switch_breakingnews",
            "type" => "text"
        );
        
        $of_options[] = array("name" => __("Number Of Posts" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_breakingnews_no_of_posts",
            "std" => "6",
            "fold" => "serpentsoft_switch_breakingnews",
            "type" => "text"
        );

        $of_options[] = array("name" => __("Choose Category" , $srpnt_domain_name),
            "desc" => __("Select Recent Posts or Individual Category" , $srpnt_domain_name),
            "id" => "lst_serpentsoft_breakingnews_categories",
            "std" => 0,
            "type" => "wp_hierarchical_categories",
            "fold" => "serpentsoft_switch_breakingnews",
                //"options" 	=> $of_categories2
        );

        $of_options[] = array("name" => __("Choose Certain Posts" , $srpnt_domain_name),
            "desc" => __("Enter posts ids separated by Comma", $srpnt_domain_name),
            "id" => "serpentsoft_breakingnews_posts_ids",
            "std" => "",
            "fold" => "serpentsoft_switch_breakingnews",
            "type" => "text"
        );
        
        $of_options[] = array("name" => __("Animation Settings", $srpnt_domain_name),
            "desc" => __("Writing Speed" , $srpnt_domain_name),
            "id" => "serpentsoft_slider_breakingnews_writingSpeed",
            "std" => "7",
            "min" => "1",
            "step" => "1",
            "max" => "30",
            "fold" => "serpentsoft_switch_breakingnews",
            "type" => "sliderui"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("The pause on a news item before being replaced" , $srpnt_domain_name),
            "id" => "serpentsoft_slider_breakingnews_pauseInSeconds",
            "std" => "5",
            "min" => "1",
            "step" => "1",
            "max" => "30",
            "fold" => "serpentsoft_switch_breakingnews",
            "type" => "sliderui"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_breakingNews",
            "type" => "serpentsoftCloseGroup"
        );


        // ======================================================
        // Header: Home Settings
        // ======================================================
        $of_options[] = array("name" => __("Home Settings" , $srpnt_domain_name),
            "type" => "heading",
            "icon" => "icon-home"
        );

        // Full Width Custom Content
        
        $of_options[] = array("name" => __("Full Width Custom Content" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_fullWidthCustomContent",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Enable Full Width Content Code?" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_switch_fullWidth_content",
            "std" => 0,
            "folds" => 1,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => __("Revolution Slider?" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_switch_revolution_slider",
            "std" => 0,
            "fold" => "serpentsoft_switch_fullWidth_content",
            "type" => "switch"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Paste your own slider, shortcode, advertisement code to appear in a full wdith underneath the Main Menu, If this code belongs to Revolution Slider please type the slider (Slider Alias) only." , $srpnt_domain_name),
            "id" => "serpentsoft_fullWidth_custom_content_code",
            "std" => "",
            "fold" => "serpentsoft_switch_fullWidth_content",
            "type" => "textarea"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Margin Bottom in pixels (Numbers Only) the default value is (40)." , $srpnt_domain_name),
            "id" => "serpentsoft_fullWidth_custom_content_marginBottom",
            "std" => "40",
            "fold" => "serpentsoft_switch_fullWidth_content",
            "type" => "text"
        );
        
        $of_options[] = array("name" => __("Content Alignment" , $srpnt_domain_name),
            "desc" => "",
            "id" => "rdo_serpentsoft_fullWidth_custom_conten_alignment",
            "std" => "center", /* left, center, right */
            "fold" => "serpentsoft_switch_fullWidth_content",
            "type" => "radio",
            "options" => $of_options_fullWidth_custom_conten_alignment
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_fullWidthCustomContent",
            "type" => "serpentsoftCloseGroup"
        );
        // End Of Full Width Custom Slider
        
        
        // Slider Switcher
        $of_options[] = array("name" => __("Slider Ticker" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_sliderMain",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Switch ON/OFF slider at the Home Page" , $srpnt_domain_name),
            "id" => "serpentsoft_slider_main",
            "std" => 0,
            "folds" => 1,
            "type" => "switch"
        );

        $of_options[] = array("name" => __("Choose Category" , $srpnt_domain_name),
            "desc" => __("Select Recent Posts or Individual Category" , $srpnt_domain_name),
            "id" => "lst_serpentsoft_slider_categories",
            "std" => 0,
            "type" => "wp_hierarchical_categories",
            "fold" => "serpentsoft_slider_main",
        );

        $of_options[] = array("name" => __("Choose Certain Posts" , $srpnt_domain_name),
            "desc" => __("Enter posts ids separated by Comma" , $srpnt_domain_name),
            "id" => "serpentsoft_slider_posts_ids",
            "std" => "",
            "fold" => "serpentsoft_slider_main",
            "type" => "text"
        );
        
        $of_options[] = array("name" => __("Number Of Posts" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_slider_no_of_posts",
            "std" => "6",
            "fold" => "serpentsoft_slider_main",
            "type" => "text"
        );
        
        $of_options[] = array("name" => __("Animation Style" , $srpnt_domain_name),
            "desc" => __("Represents the slider animation style (Sliding or Fading)" , $srpnt_domain_name),
            "id" => "serpentsoft_slider_main_animation_style",
            "std" => 0,
            "type" => "select",
            "options" => $of_slider_animation_style
        );
        
        $of_options[] = array("name" => __("Slides Animation Speed (ms)" , $srpnt_domain_name),
            "desc" => __("Slides Animation in (Milliseconds) (Min: 100 ms, Max: 1,000 ms)" , $srpnt_domain_name),
            "id" => "serpentsoft_slider_main_animation_speed",
            "std" => "600",
            "min" => "100",
            "step" => "10",
            "max" => "1000",
            "type" => "sliderui"
        );
        
        $of_options[] = array("name" => __("Reverse Slides" , $srpnt_domain_name),
            "desc" => __("Use next button to return the slides to the beginning" , $srpnt_domain_name),
            "id" => "serpentsoft_slider_main_reverse_slides",
            "std" => 1,
            "type" => "checkbox"
        );
        
        $of_options[] = array("name" => __("Slider Auto Play" , $srpnt_domain_name),
            "desc" => __("Auto Play slider after page load" , $srpnt_domain_name),
            "id" => "serpentsoft_slider_main_auto_slide",
            "std" => 0,
            "folds" => 1,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => __("Posts Transition Speed (ms)" , $srpnt_domain_name),
            "desc" => __("Represents the time between each post transition in (Milliseconds) (Min: 100 ms, Max: 20,000 ms)" , $srpnt_domain_name),
            "id" => "serpentsoft_slider_main_transition_speed",
            "std" => "7000",
            "min" => "100",
            "step" => "100",
            "max" => "20000",
            "fold" => "serpentsoft_slider_main_auto_slide",
            "type" => "sliderui"
        );
        
        $of_options[] = array("name" => __("Loop Slides" , $srpnt_domain_name),
            "desc" => __("Looping the slide show" , $srpnt_domain_name),
            "id" => "serpentsoft_slider_main_animation_loop",
            "std" => 1,
            "fold" => "serpentsoft_slider_main_auto_slide",
            "type" => "checkbox"
        );
        
        $of_options[] = array("name" => __("Pause On Mouse Hover" , $srpnt_domain_name),
            "desc" => __("Pause slides animation when mouse hover" , $srpnt_domain_name),
            "id" => "serpentsoft_slider_main_pause_on_hover",
            "std" => 1,
            "fold" => "serpentsoft_slider_main_auto_slide",
            "type" => "checkbox"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_sliderMain",
            "type" => "serpentsoftCloseGroup"
        );
        // End Of Slider Switcher

        // Build Home Page Categories and Advertisements
        $of_options[] = array("name" => __("Homepage Builder" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_b3",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => __("Build Your Home Page" , $srpnt_domain_name),
            "desc" => __("Unlimited Categories with drag and drop sortings." , $srpnt_domain_name),
            "id" => "serpentsoft_builder",
            "std" => "",
            "type" => "builder"
        );

        $of_options[] = array("id" => "serpentsoft_close_group_b3",
            "type" => "serpentsoftCloseGroup"
        );
        // End-of Build Home Page

        // Homepage Categories Post Metas
        $of_options[] = array("name" => __("Homepage Categories Post Meta" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_hpCats_postMeta",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Post Meta Info" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_switch_box_meta_info_hpCats",
            "std" => 1,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Check elements you want to appear in post meta info" , $srpnt_domain_name),
            "id" => "serpentsoft_hpCats_box_meta_info_elements",
            "std" => array("date", "views", "like"),
            "type" => "multicheck",
            "fold" => "serpentsoft_switch_box_meta_info_hpCats",
            "options" => $of_multicheck_meta_info_hp_cats
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_hpCats_postMeta",
            "type" => "serpentsoftCloseGroup"
        );
        // End Of Homepage Categories Post Metas
        
        // Slider Deafault Post Image
        $of_options[] = array("name" => __("Slider Post Banner Default Image" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_b4",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Choose default image to use it in the main slider if the post have no image. Upload Image (Recommended: 730 x 390 pixels). (Leave it Blank to use the"  , $srpnt_domain_name) . " /images/post-default.png image)",
            "id" => "serpentsoft_upload_post_default_image",
            // Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
            "std" => "",
            "type" => "upload"
        );

        $of_options[] = array("id" => "serpentsoft_close_group_b4",
            "type" => "serpentsoftCloseGroup"
        );
        // End OF Post Banneer Image
        
        // Default Horizontal Category's Image
        $of_options[] = array("name" => __("Default Homepage Posts Category's Images" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_b2",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => __("Default Image for Large Categories" , $srpnt_domain_name),
            "desc" => __("Choose the image for horizontal and vertical categories in a home page (Recommended: 294 x 190 px). (Leave it Blank to use the slider's default image)" , $srpnt_domain_name),
            "id" => "serpentsoft_upload_def_img_horiz_ver_cat",
            // Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
            "std" => "",
            "type" => "upload"
        );

        /* $of_options[] = array("name" => "Default Small Post's Image",
            "desc" => "Choose the image for small post's category's image in a home page (Recommended: 80 x 75 px)",
            "id" => "serpentsoft_upload_def_img_small_cat",
            // Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
            "std" => "",
            "type" => "upload"
        ); */

        $of_options[] = array("id" => "serpentsoft_close_group_b2",
            "type" => "serpentsoftCloseGroup"
        );

        // Slider Excerpt Settings ====================================
        $of_options[] = array("name" => __("Slider's Posts Excerpt" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_sliderExcerpt",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Represents the Slider's Posts excerpt" , $srpnt_domain_name),
            "id" => "serpentsoft_slider_exerpt",
            "std" => "300",
            "min" => "1",
            "step" => "3",
            "max" => "350",
            "type" => "sliderui"
        );

        $of_options[] = array("id" => "serpentsoft_close_group_sliderExcerpt",
            "type" => "serpentsoftCloseGroup"
        );

        // HomePage Excerpt Settings ====================================
        $of_options[] = array("name" => __("Home Page's Categories Excerpt" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_hpCatsExcerpt",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Represents the Homepage and Widgets excerpt" , $srpnt_domain_name),
            "id" => "serpentsoft_homepage_cats_exerpt",
            "std" => "200",
            "min" => "1",
            "step" => "3",
            "max" => "350",
            "type" => "sliderui"
        );

        $of_options[] = array("id" => "serpentsoft_close_group_hpCatsExcerpt",
            "type" => "serpentsoftCloseGroup"
        );
        
        /* $of_options[] = array("name" => "Media Uploader 3.5",
            "desc" => "Upload images using native media uploader from Wordpress 3.5+.",
            "id" => "media_upload_35",
            // Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
            "std" => "",
            "type" => "upload"
        );

        $of_options[] = array("name" => "Media Uploader 3.5 min",
            "desc" => "Upload images using native media uploader from Wordpress 3.5+. Min mod",
            "id" => "media_upload_356",
            // Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
            "std" => "",
            "mod" => "min",
            "type" => "media"
        );


        $of_options[] = array("name" => "JQuery UI Slider example 1",
            "desc" => "JQuery UI slider description.<br /> Min: 1, max: 500, step: 3, default value: 45",
            "id" => "slider_example_1",
            "std" => "45",
            "min" => "1",
            "step" => "3",
            "max" => "500",
            "type" => "sliderui"
        );

        $of_options[] = array("name" => "JQuery UI Slider example 1 with steps(5)",
            "desc" => "JQuery UI slider description.<br /> Min: 0, max: 300, step: 5, default value: 75",
            "id" => "slider_example_2",
            "std" => "75",
            "min" => "0",
            "step" => "5",
            "max" => "300",
            "type" => "sliderui"
        );

        $of_options[] = array("name" => "JQuery UI Spinner",
            "desc" => "JQuery UI spinner description.<br /> Min: 0, max: 300, step: 5, default value: 75",
            "id" => "spinner_example_2",
            "std" => "75",
            "min" => "0",
            "step" => "5",
            "max" => "300",
            "type" => "spinner"
        );

        $of_options[] = array("name" => "Switch 1",
            "desc" => "Switch OFF",
            "id" => "switch_ex1",
            "std" => 0,
            "type" => "switch"
        );

        $of_options[] = array("name" => "Switch 2",
            "desc" => "Switch ON",
            "id" => "switch_ex2",
            "std" => 1,
            "type" => "switch"
        );

        $of_options[] = array("name" => "Switch 3",
            "desc" => "Switch with custom labels",
            "id" => "switch_ex3",
            "std" => 0,
            "on" => "Enable",
            "off" => "Disable",
            "type" => "switch"
        );

        $of_options[] = array("name" => "Switch 4",
            "desc" => "Switch OFF with hidden options. ;)",
            "id" => "switch_ex4",
            "std" => 0,
            "folds" => 1,
            "type" => "switch"
        );

        $of_options[] = array("name" => "Hidden option 1",
            "desc" => "This is a sample hidden option controlled by a <strong>switch</strong> button",
            "id" => "hidden_switch_ex1",
            "std" => "Hi, I\'m just a text input - nr 1",
            "fold" => "switch_ex4", // the switch hook
            "type" => "text"
        );

        $of_options[] = array("name" => "Hidden option 2",
            "desc" => "This is a sample hidden option controlled by a <strong>switch</strong> button",
            "id" => "hidden_switch_ex2",
            "std" => "Hi, I\'m just a text input - nr 2",
            "fold" => "switch_ex4", // the switch hook
            "type" => "text"
        );


        $of_options[] = array("name" => "Homepage Layout Manager",
            "desc" => "Organize how you want the layout to appear on the homepage",
            "id" => "homepage_blocks",
            "std" => $of_options_homepage_blocks,
            "type" => "sorter"
        );

        $of_options[] = array("name" => "Slider Options",
            "desc" => "Unlimited slider with drag and drop sortings.",
            "id" => "pingu_slider",
            "std" => "",
            "type" => "slider"
        );

        $of_options[] = array("name" => "Typography",
            "desc" => "Typography option with each property can be called individually.",
            "id" => "custom_type",
            "std" => array('size' => '12px', 'style' => 'bold italic'),
            "type" => "typography"
        ); */

        // ========================================================
        // Header: Article Settings
        //=========================================================
        $of_options[] = array("name" => __("Article Settings" , $srpnt_domain_name),
            "type" => "heading",
            "icon" => "icon-edit"
        );

        // Post Meta
        $of_options[] = array("name" => __("Post Meta" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_article_postMeta",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Post Meta Info" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_switch_box_meta_info",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Check elements you want to appear in post meta info" , $srpnt_domain_name),
            "id" => "serpentsoft_article_box_meta_info_elements",
            "std" => array("author", "date", "comments", "views", "tags", "like"),
            "type" => "multicheck",
            "fold" => "serpentsoft_switch_box_meta_info",
            "options" => $of_multicheck_meta_info
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_article_postMeta",
            "type" => "serpentsoftCloseGroup"
        );

        // Share Post
        $of_options[] = array("name" => __("Share Box" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_article_shareIcons",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Go to (Social Networks) Tab on the left to choose scoial share buttons you want to appear" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_article_share_box",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_article_shareIcons",
            "type" => "serpentsoftCloseGroup"
        );
        
        
        // Article Boxes
        $of_options[] = array("name" => __("Article Page Structure" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_article_structure",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Tags" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_switch_box_tag",
            "std" => 1,
            "type" => "switch"
        );

        $of_options[] = array("name" => __("Author" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_switch_box_author",
            "std" => 1,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => __("Email Field" , $srpnt_domain_name),
            "desc" => __("Show author email icon" , $srpnt_domain_name),
            "id" => "serpentsoft_check_author_meta_info_email",
            "std" => 1,
            "fold" => "serpentsoft_switch_box_author",
            "type" => "checkbox"
        );

        $of_options[] = array("name" => __("Next/Prev" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_switch_box_prev_next",
            "std" => 1,
            "type" => "switch"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_article_structure",
            "type" => "serpentsoftCloseGroup"
        );
        
        // Related Articles
        $of_options[] = array("name" => __("Related Posts" , $srpnt_domain_name),
                    "id" => "serpentsoft_open_group_article_relatedPosts",
                    "type" => "serpentsoftOpenGroup"
                );
        
        $of_options[] = array("name" => __("Related Posts" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_switch_related_articles",
            "std" => 1,
            "folds" => 1,
            "type" => "switch"
        );

        $of_options[] = array("name" => __("Title" , $srpnt_domain_name),
            "desc" => __("Title of the related articles box (Default: Related Articles)" , $srpnt_domain_name),
            "id" => "serpentsoft_related_articles_title",
            "std" => __("Related Articles", $srpnt_domain_name),
            "fold" => "serpentsoft_switch_related_articles",
            "type" => "text"
        );

        $of_options[] = array("name" => __("Number Of Posts" , $srpnt_domain_name),
            "desc" => __("Number of posts to display" , $srpnt_domain_name),
            "id" => "serpentsoft_related_articles_no_of_posts",
            "std" => "2",
            "fold" => "serpentsoft_switch_related_articles",
            "type" => "text"
        );

        $of_options[] = array("id" => "serpentsoft_close_group_article_realetedPosts",
            "type" => "serpentsoftCloseGroup"
        );

        // Facebook Comments Box
        $of_options[] = array("name" => __("Facebook Comments Box" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_article_commentsBox",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => "",
            "desc" => "",
            "id" => "infoArticleFbCommentsBox",
            "std" => "<h3 style=\"margin: 0 0 10px;\">" . __("Facebook Comments Box" , $srpnt_domain_name) . "</h3>" . __("Note: Number of comments needs Facebook AppID .. Please enter it in AppID field in Social Networks tab on the left." , $srpnt_domain_name),
            "icon" => true,
            "type" => "info"
        );
        
        $of_options[] = array("name" => __("Show Facebook Comments Box" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_switch_fb_comments_box",
            "std" => 0,
            "folds" => 1,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => __("Number of Comments" , $srpnt_domain_name),
            "desc" => __("Example: (200)" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_fb_show_comments_number",
            "std" => 1,
            "fold" => "serpentsoft_switch_fb_comments_box",
            "type" => "switch"
        );
        
        $of_options[] = array("name" => __("Text After Number of Comments" , $srpnt_domain_name),
            "desc" => __("Example: (200) Comments" , $srpnt_domain_name),
            "id" => "serpentsoft_fb_comments_text",
            "std" => "Comments",
            "fold" => "serpentsoft_switch_fb_comments_box",
            "type" => "text"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Number Of Comments / Page" , $srpnt_domain_name),
            "id" => "serpentsoft_slider_fb_comments_number",
            "std" => "10",
            "min" => "1",
            "step" => "1",
            "max" => "100",
            "fold" => "serpentsoft_switch_fb_comments_box",
            "type" => "sliderui"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_article_commentsBox",
            "type" => "serpentsoftCloseGroup"
        );
        
        // Wordpress Comments Box (Article Only)
        $of_options[] = array("name" => __("Comments Boxes (Article Only)" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_article_WPcommentsBox_article",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("WordPress Built-in Comments Box" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_switch_wp_comments_box_article",
            "std" => 1,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => __("Facebook Comments Box" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_switch_fb_comments_box_article",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_article_WPcommentsBox_article",
            "type" => "serpentsoftCloseGroup"
        );
        
        // Wordpress Comments Box/Facebook Comments (Page Only)
        $of_options[] = array("name" => __("Comments Boxes (Page Only)" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_article_WPcommentsBox_page",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("WordPress Built-in Comments Box" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_switch_wp_comments_box_page",
            "std" => 1,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => __("Facebook Comments Box" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_switch_fb_comments_box_page",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_article_WPcommentsBox_page",
            "type" => "serpentsoftCloseGroup"
        );
        
        // ========================================================
        // Header: Advertisements
        //=========================================================
        $of_options[] = array("name" => __("Advertisements" , $srpnt_domain_name),
            "type" => "heading",
            //"icon" => ADMIN_IMAGES . "icon-slider.png"
            "icon" => "icon-bullhorn"
        );

        // =================== Advertisement Header =============================
        $of_options[] = array("name" => __("Header Advertisement" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_adv_header",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Toggle ON/OFF" , $srpnt_domain_name),
            "id" => "serpentsoft_adv_header_switch",
            "std" => 0,
            "folds" => 1,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => __("Open in a New Tab" , $srpnt_domain_name),
            "desc" => __("Open Ads Link in a New Tab?" , $srpnt_domain_name),
            "id" => "serpentsoft_adv_header_openNewTab_switch",
            "std" => 1,
            "on" => "Yes",
            "off" => "No",
            "fold" => "serpentsoft_adv_header_switch",
            "type" => "switch"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Paste your Google Adsense (or other) ads code here." , $srpnt_domain_name),
            "id" => "serpentsoft_adv_header_code",
            "std" => "",
            "fold" => "serpentsoft_adv_header_switch",
            "type" => "textarea"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Upload Banner Image" , $srpnt_domain_name),
            "id" => "serpentsoft_adv_header_banner",
            // Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
            "std" => "",
            "fold" => "serpentsoft_adv_header_switch",
            "type" => "upload"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Banner Image URL." , $srpnt_domain_name),
            "id" => "serpentsoft_adv_header_link",
            "std" => "",
            "fold" => "serpentsoft_adv_header_switch",
            "type" => "text"
        );

        $of_options[] = array("id" => "serpentsoft_close_group_adv_header",
            "type" => "serpentsoftCloseGroup"
        );
        
        // =================== Advertisement Footer =============================
        $of_options[] = array("name" => __("Footer Advertisement" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_adv_footer",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Toggle ON/OFF" , $srpnt_domain_name),
            "id" => "serpentsoft_adv_footer_switch",
            "std" => 0,
            "folds" => 1,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => __("Open in a New Tab" , $srpnt_domain_name),
            "desc" => __("Open Ads Link in a New Tab?" , $srpnt_domain_name),
            "id" => "serpentsoft_adv_footer_openNewTab_switch",
            "std" => 1,
            "on" => "Yes",
            "off" => "No",
            "fold" => "serpentsoft_adv_footer_switch",
            "type" => "switch"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Paste your Google Adsense (or other) ads code here." , $srpnt_domain_name),
            "id" => "serpentsoft_adv_footer_code",
            "std" => "",
            "fold" => "serpentsoft_adv_footer_switch",
            "type" => "textarea"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Upload Banner Image" , $srpnt_domain_name),
            "id" => "serpentsoft_adv_footer_banner",
            // Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
            "std" => "",
            "fold" => "serpentsoft_adv_footer_switch",
            "type" => "upload"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Banner Image URL." , $srpnt_domain_name),
            "id" => "serpentsoft_adv_footer_link",
            "std" => "",
            "fold" => "serpentsoft_adv_footer_switch",
            "type" => "text"
        );

        $of_options[] = array("id" => "serpentsoft_close_group_adv_footer",
            "type" => "serpentsoftCloseGroup"
        );
        

        // ========================================================
        // Header: Archive Settings
        //=========================================================
        $of_options[] = array("name" => __("Archive Settings" , $srpnt_domain_name),
            "type" => "heading",
            "icon" => "icon-folder-open"
        );

        // General Settings
        $of_options[] = array("name" => __("Archive Main Settings" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_archiveGeneral",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Archive Posts Excerpt" , $srpnt_domain_name),
            "desc" => __("Represents the number of post's excerpt letters" , $srpnt_domain_name),
            "id" => "serpentsoft_archive_blog_exerpt",
            "std" => "300",
            "min" => "1",
            "step" => "3",
            "max" => "350",
            "type" => "sliderui"
        );
        
        $of_options[] = array("name" => __("Social Share Box" , $srpnt_domain_name),
            "desc" => __("Go to (Social Networks) Tab on the left to choose scoial share buttons you want to appear" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_archive_social_share",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_archiveGeneral",
            "type" => "serpentsoftCloseGroup"
        );
        
        // Aurhor Posts Archive
        $of_options[] = array("name" => __("Author Archive" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_archiveAuthor",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Author Bio" , $srpnt_domain_name),
            "desc" => __("Toggle ON/OFF" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_author_bio",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => __("Author RSS Feeds" , $srpnt_domain_name),
            "desc" => __("Toggle ON/OFF" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_author_rss",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_archiveAuthor",
            "type" => "serpentsoftCloseGroup"
        );
        
        // ========================================================================
        // Header: Footer Settings
        // ========================================================================
        $of_options[] = array("name" => __("Footer Settings" , $srpnt_domain_name),
            "type" => "heading",
            "icon" => "icon-laptop"
        );

        // Twitter Ticker in Footer
        $of_options[] = array("name" => __("Twitter Ticker" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_twitterTickerFooter",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Toggle ON/OFF" , $srpnt_domain_name),
            "id" => "serpentsoft_TwitterTickerFooter_switch",
            "std" => 0,
            "folds" => 1,
            "type" => "switch"
        );

        $of_options[] = array("name" => __("Tweets Box Title" , $srpnt_domain_name),
            "desc" => __("Box title that appears in the left of tweets" , $srpnt_domain_name),
            "id" => "serpentsoft_TwitterTickerFooter_BoxTitle",
            "std" => "Latest Tweets",
            "fold" => "serpentsoft_TwitterTickerFooter_switch",
            "type" => "text"
        );

        $of_options[] = array("name" => __("Avatar Size" , $srpnt_domain_name),
            "desc" => __("Avatar size Min: zero, Max: 48 pixels" , $srpnt_domain_name),
            "id" => "serpentsoft_TwitterTickerFooter_slider_AvatarSize",
            "std" => "32",
            "min" => "0",
            "step" => "1",
            "max" => "48",
            "fold" => "serpentsoft_TwitterTickerFooter_switch",
            "type" => "sliderui"
        );

        $of_options[] = array("name" => __("Tweets Count" , $srpnt_domain_name),
            "desc" => __("Tweets Count Min: 1, Max: 200 Tweets" , $srpnt_domain_name),
            "id" => "serpentsoft_TwitterTickerFooter_slider_TweetsNumber",
            "std" => "20",
            "min" => "1",
            "step" => "1",
            "max" => "200",
            "fold" => "serpentsoft_TwitterTickerFooter_switch",
            "type" => "sliderui"
        );

        $of_options[] = array("name" => __("Slide Speed" , $srpnt_domain_name),
            "desc" => __("Speed Min: 100, Max: 5000 Milliseconds" , $srpnt_domain_name),
            "id" => "serpentsoft_TwitterTickerFooter_slider_SlideSpeed",
            "std" => "500",
            "min" => "100",
            "step" => "10",
            "max" => "5000",
            "fold" => "serpentsoft_TwitterTickerFooter_switch",
            "type" => "sliderui"
        );
        
        $of_options[] = array("name" => __("Pause Until Next Tweet" , $srpnt_domain_name),
            "desc" => __("Speed Min: 1, Max: 30 Seconds" , $srpnt_domain_name),
            "id" => "serpentsoft_TwitterTickerFooter_slider_pauseInSeconds",
            "std" => "5",
            "min" => "1",
            "step" => "1",
            "max" => "30",
            "fold" => "serpentsoft_TwitterTickerFooter_switch",
            "type" => "sliderui"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_twitterTickerFooter",
            "type" => "serpentsoftCloseGroup"
        );
        
        
        // Footer Layout
        $of_options[] = array("name" => __("Footer Layout" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_footerLayout",
            "type" => "serpentsoftOpenGroup"
        );

        $url = ADMIN_DIR . 'backend/images/';
        $of_options[] = array(
            "name" => "",
            "desc" => __("Select footer layout (Default: Four Columns)" , $srpnt_domain_name),
            "id" => "serpentsoft_footerlayout",
            "std" => "f-4c",
            "type" => "images",
            "options" => array(
                'f-none' => $url . 'f-none.png',
                'f-13c-left' => $url . 'f13c-left.png',
                'f-13c-right' => $url . 'f13c-right.png',
                'f-3c' => $url . 'f-3c.png',
                'f-2c' => $url . 'f-2c.png',
                'f-2c-left' => $url . 'f-2c-left.png',
                'f-2c-right' => $url . 'f-2c-right.png',
                'f-4c' => $url . 'f-4c.png'
            )
        );

        $of_options[] = array("id" => "serpentsoft_close_group_footerLayout",
            "type" => "serpentsoftCloseGroup"
        );
        
        $of_options[] = array("name" => __("Left/Right Under Footer Widgets" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_footer_underFooter",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Left Footer Text (HTML Code Available)" , $srpnt_domain_name),
            "desc" => __("You can use the following : Plain Text, HTML Code, Symbols Codes ( Copyright:", $srpnt_domain_name) . " <b>&copy;</b> - " . __("Trademark: ", $srpnt_domain_name) . "<b>&reg;</b> )",
            "id" => "serpentsoft_footer_left_text",
            "std" => "",
            "type" => "textarea"
        );

        $of_options[] = array("name" => __("Right Footer Text (HTML Code Available)" , $srpnt_domain_name),
            "desc" => __("You can use the following : Plain Text, HTML Code, Symbols Codes ( Copyright:", $srpnt_domain_name) . " <b>&copy;</b> - " . __("Trademark: ", $srpnt_domain_name) . "<b>&reg;</b> )",
            "id" => "serpentsoft_footer_right_text",
            "std" => "",
            "type" => "textarea"
        );

        $of_options[] = array("id" => "serpentsoft_close_group_footer_underFooter",
            "type" => "serpentsoftCloseGroup"
        );


        // =================================================================
        // Social Networks Settings
        // =================================================================
        
        $of_options[] = array("name" => __("Social Networks" , $srpnt_domain_name),
            "type" => "heading",
            "icon" => "icon-group"
        );
        
        // Facebook SDK Application ID (Optional)
        $of_options[] = array("name" => __("Facebook SDK" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_socialFbSDK",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Use Facebook Built-in SDK" , $srpnt_domain_name),
            "desc" => __("Toggle ON/OFF" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_social_facebook_sdk",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => __("App ID (Optional)" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_switch_social_facebook_sdk_appid",
            "std" => "",
            "fold" => "serpentsoft_switch_social_facebook_sdk",
            "type" => "text"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_socialFbSDK",
            "type" => "serpentsoftCloseGroup"
        );
        
         // Share Post
        $of_options[] = array("name" => __("Post & Archive Share Buttons Settings" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_socialPostShare",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Use Sharebox Script" , $srpnt_domain_name),
            "desc" => sprintf( __("You can use a sharebox script like %s NOTE: Sharebox Script will not work in Archive pages like: (Category, Tag and Author)", $srpnt_domain_name), "<a href='http://www.addtoany.com/' target='_blank'>AddToAny</a> or <a href='http://www.sharethis.com/' target='_blank'>ShareThis</a><br /><br />"),
            "id" => "serpentsoft_switch_social_share_script",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => __("Sharebox Script" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_text_social_share_script",
            "std" => "",
            "fold" => "serpentsoft_switch_social_share_script",
            "type" => "textarea"
        );
        
        $of_options[] = array("name" => __("facebook share", $srpnt_domain_name),
            "desc" => __("Toggle ON/OFF" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_social_share_facebook",
            "std" => 0,
            "type" => "switch"
        );
          
        $of_options[] = array("name" => __("facebook like", $srpnt_domain_name),
            "desc" => __("Toggle ON/OFF" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_social_like_facebook",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => "twitter",
            "desc" => __("Toggle ON/OFF" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_social_share_twitter",
            "std" => 0,
            "folds" => 1,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => __("User Name (Optional)" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_switch_social_share_twitter_user_name",
            "std" => "",
            "fold" => "serpentsoft_switch_social_share_twitter",
            "type" => "text"
        );
        
        $of_options[] = array("name" => __("Google+" , $srpnt_domain_name),
            "desc" => __("Toggle ON/OFF" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_social_share_googleplus",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => "Linked In",
            "desc" => __("Toggle ON/OFF" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_social_share_linkedin",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => "Stumble Upon",
            "desc" => __("Toggle ON/OFF" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_social_share_stumbleupon",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => "VK",
            "desc" => __("Toggle ON/OFF" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_social_share_vk",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_socialPostShare",
            "type" => "serpentsoftCloseGroup"
        );
        
        // Twitter OAuth Data
        $of_options[] = array("name" => __("Twitter OAuth v1.1 Data" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_twitterOAuthData",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => "",
            "desc" => "",
            "id" => "introduction",
            "std" => "<h3 style=\"margin: 0 0 10px;\">" . __("Twitter API OAuth Info (will be used in Social Counter and Twitter Ticker)" , $srpnt_domain_name) . "</h3>" . __("(You can see this video to learn how to create twitter app and obtain your own authentication data)" , $srpnt_domain_name) . 
                        "<a href=\"http://youtu.be/rWNYZOT0a6o/\" target=\"_blank\">" . __("Create Twitter App" , $srpnt_domain_name) . "</a>",
            "icon" => true,
            "type" => "info"
        );

        $of_options[] = array("name" => __("Twitter - Screen Name" , $srpnt_domain_name),
            "desc" => __("Screen Name only like:" , $srpnt_domain_name) . " <b>serpentsoft</b>",
            "id" => "serpentsoft_twitterAPI_screenName",
            "std" => "",
            "type" => "text"
        );

        $of_options[] = array("name" => __("Twitter - Consumer Key" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_twitterAPI_consumerkey",
            "std" => "",
            "type" => "text"
        );

        $of_options[] = array("name" => __("Twitter - Consumer Secret" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_twitterAPI_consumersecret",
            "std" => "",
            "type" => "text"
        );

        $of_options[] = array("name" => __("Twitter - Access Token" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_twitterAPI_accesstoken",
            "std" => "",
            "type" => "text"
        );

        $of_options[] = array("name" => __("Twitter - Access Token Secret" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_twitterAPI_accesstokensecret",
            "std" => "",
            "type" => "text"
        );

        $of_options[] = array("id" => "serpentsoft_close_group_twitterOAuthData",
            "type" => "serpentsoftCloseGroup"
        );


        // Social Networks Data
        $of_options[] = array("name" => __("Social Networks Counter" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_socialCounter",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => __("Facebook - Page Name / PageId" , $srpnt_domain_name),
            "desc" => __("Page Name only like:" , $srpnt_domain_name) . " <b>serpentsoft</b>",
            "id" => "serpentsoft_facebookAPI_pageName",
            "std" => "",
            "type" => "text"
        );

        $of_options[] = array("name" => __("Youtube Channel" , $srpnt_domain_name),
            "desc" => __("Channel Name only like:" , $srpnt_domain_name) . " <b>serpentsoft</b>",
            "id" => "serpentsoft_youtubeAPI_channel",
            "std" => "",
            "type" => "text"
        );

        $of_options[] = array("name" => __("Vimeo Channel" , $srpnt_domain_name),
            "desc" => __("Channel Name only like:" , $srpnt_domain_name) . " <b>serpentsoft</b>",
            "id" => "serpentsoft_vimeoAPI_channel",
            "std" => "",
            "type" => "text"
        );

        $of_options[] = array("name" => __("Dribbble - Page Name" , $srpnt_domain_name),
            "desc" => __("Page Name only like:" , $srpnt_domain_name) . " <b>serpentsoft</b>",
            "id" => "serpentsoft_dribbbleAPI_pageName",
            "std" => "",
            "type" => "text"
        );

        /* $of_options[] = array("name" => __("Soundcloud" , $srpnt_domain_name),
            "desc" => __("User Name like:" , $srpnt_domain_name) . " <b>serpentsoft</b>",
            "id" => "serpentsoft_soundcloudAPI_Username",
            "std" => "",
            "type" => "text"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Client ID" , $srpnt_domain_name),
            "id" => "serpentsoft_soundcloudAPI_ClientId",
            "std" => "",
            "type" => "text"
        );
        
        $of_options[] = array("name" => __("Behance" , $srpnt_domain_name),
            "desc" => __("User Name like:", $srpnt_domain_name) . " <b>serpentsoft</b>",
            "id" => "serpentsoft_behanceAPI_Username",
            "std" => "",
            "type" => "text"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("API Key / Client ID" , $srpnt_domain_name),
            "id" => "serpentsoft_behanceAPI_ClientId",
            "std" => "",
            "type" => "text"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Access Token" , $srpnt_domain_name),
            "id" => "serpentsoft_behanceAPI_AccessToken",
            "std" => "",
            "type" => "text"
        ); */
        
        $of_options[] = array("id" => "serpentsoft_close_group_socialCounter",
            "type" => "serpentsoftCloseGroup"
        );

        // Social Networks Names
        $of_options[] = array("name" => __("Social Networks URLs" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_socialNetworksNames",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => "",
            "desc" => "",
            "id" => "introduction",
            "std" => "<h3 style=\"margin: 0 0 10px;\">" . __("Please insert a full URL, like" , $srpnt_domain_name) . " (http://www.facebook.com/PageName)</h3>" . __("These fields will be used in Social Icons Widget only." , $srpnt_domain_name),
            "icon" => true,
            "type" => "info_danger"
        );

        $of_options[] = array("name" => __("Choose Background Color for Every Section." , $srpnt_domain_name),
            "desc" => __("If Icons in Top Menu Right Section (clear = transparent)." , $srpnt_domain_name),
            "id" => "serpentsoft_social_color_top_menu",
            "std" => "#555",
            "type" => "color"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("If Icons in Body Section (clear = transparent)." , $srpnt_domain_name),
            "id" => "serpentsoft_social_color_body",
            "std" => "#CECECE",
            "type" => "color"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("If Icons in Footer Section (clear = transparent)." , $srpnt_domain_name),
            "id" => "serpentsoft_social_color_footer",
            "std" => "#555",
            "type" => "color"
        );
        
        $of_options[] = array("name" => "Facebook", "desc" => "", "id" => "serpentsoft_social_facebook", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Twitter", "desc" => "", "id" => "serpentsoft_social_twitter", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Google Plus", "desc" => "", "id" => "serpentsoft_social_googleplus", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Pinterest", "desc" => "", "id" => "serpentsoft_social_pinterest", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Youtube", "desc" => "", "id" => "serpentsoft_social_youtube", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Linkedin", "desc" => "", "id" => "serpentsoft_social_linkedin", "std" => "", "type" => "text");
        
        $of_options[] = array("name" => "RSS Icon", "desc" => "", "id" => "serpentsoft_social_rss_rdoOptions", "std" => "RSShide", "type" => "radio", "options" => $of_options_rss);
        $of_options[] = array("name" => "Custom RSS Link", "desc" => "", "id" => "serpentsoft_social_rss", "std" => "", "type" => "text");
        
        $of_options[] = array("name" => "Skype", "desc" => "", "id" => "serpentsoft_social_skype", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Wordpress", "desc" => "", "id" => "serpentsoft_social_wordpress", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Dribbble", "desc" => "", "id" => "serpentsoft_social_dribble", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Instagram", "desc" => "", "id" => "serpentsoft_social_instagram", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Picasa", "desc" => "", "id" => "serpentsoft_social_picasa", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Vimeo", "desc" => "", "id" => "serpentsoft_social_vimeo", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Envato", "desc" => "", "id" => "serpentsoft_social_envato", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Myspace", "desc" => "", "id" => "serpentsoft_social_myspace", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Github", "desc" => "", "id" => "serpentsoft_social_github", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Outlook", "desc" => "", "id" => "serpentsoft_social_outlook", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Behance", "desc" => "", "id" => "serpentsoft_social_behance", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Flattr", "desc" => "", "id" => "serpentsoft_social_flattr", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Google", "desc" => "", "id" => "serpentsoft_social_google", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Blogger", "desc" => "", "id" => "serpentsoft_social_blogger", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Reddit", "desc" => "", "id" => "serpentsoft_social_reddit", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Tumblr", "desc" => "", "id" => "serpentsoft_social_tumblr", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Evernote", "desc" => "", "id" => "serpentsoft_social_evernote", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Apple", "desc" => "", "id" => "serpentsoft_social_apple", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Lastfm", "desc" => "", "id" => "serpentsoft_social_lastfm", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Stumbleupon", "desc" => "", "id" => "serpentsoft_social_stumbleupon", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Media Temple", "desc" => "", "id" => "serpentsoft_social_mediatemple", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Digg", "desc" => "", "id" => "serpentsoft_social_digg", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Flickr", "desc" => "", "id" => "serpentsoft_social_flickr", "std" => "", "type" => "text");
//$of_options[] = array( 	"name" 	=> "Email", "desc" => "", "id" => "serpentsoft_social_email", "std" => "", "type" => "text" );
//$of_options[] = array( 	"name" 	=> "Website", "desc" => "", "id" => "serpentsoft_social_website", "std" => "", "type" => "text" );
        $of_options[] = array("name" => "Delicious", "desc" => "", "id" => "serpentsoft_social_delicious", "std" => "", "type" => "text");
        $of_options[] = array("name" => "About Me", "desc" => "", "id" => "serpentsoft_social_aboutme", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Bebo", "desc" => "", "id" => "serpentsoft_social_bebo", "std" => "", "type" => "text");
        $of_options[] = array("name" => "500px", "desc" => "", "id" => "serpentsoft_social_fivehundredpx", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Alistapart", "desc" => "", "id" => "serpentsoft_social_alistapart", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Amazon", "desc" => "", "id" => "serpentsoft_social_amazon", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Android", "desc" => "", "id" => "serpentsoft_social_android", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Deviantart", "desc" => "", "id" => "serpentsoft_social_deviantart", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Angellist", "desc" => "", "id" => "serpentsoft_social_angellist", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Forrst", "desc" => "", "id" => "serpentsoft_social_forrst", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Soundcloud", "desc" => "", "id" => "serpentsoft_social_soundcloud", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Appdotnet", "desc" => "", "id" => "serpentsoft_social_appdotnet", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Orkut", "desc" => "", "id" => "serpentsoft_social_orkut", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Pinboard", "desc" => "", "id" => "serpentsoft_social_pinboard", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Newsvine", "desc" => "", "id" => "serpentsoft_social_newsvine", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Rdio", "desc" => "", "id" => "serpentsoft_social_rdio", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Skydrive", "desc" => "", "id" => "serpentsoft_social_skydrive", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Stack Exchange", "desc" => "", "id" => "serpentsoft_social_stackexchange", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Twitch", "desc" => "", "id" => "serpentsoft_social_twitch", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Viadeo", "desc" => "", "id" => "serpentsoft_social_viadeo", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Yahoo", "desc" => "", "id" => "serpentsoft_social_yahoo", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Yelp", "desc" => "", "id" => "serpentsoft_social_yelp", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Drupal", "desc" => "", "id" => "serpentsoft_social_drupal", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Ebay", "desc" => "", "id" => "serpentsoft_social_ebay", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Exfm", "desc" => "", "id" => "serpentsoft_social_exfm", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Geeklist", "desc" => "", "id" => "serpentsoft_social_geeklist", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Heroku", "desc" => "", "id" => "serpentsoft_social_heroku", "std" => "", "type" => "text");
        $of_options[] = array("name" => "IMDB", "desc" => "", "id" => "serpentsoft_social_imdb", "std" => "", "type" => "text");
        $of_options[] = array("name" => "JsFiddle", "desc" => "", "id" => "serpentsoft_social_jsfiddle", "std" => "", "type" => "text");
        $of_options[] = array("name" => "Dropbox", "desc" => "", "id" => "serpentsoft_social_dropbox", "std" => "", "type" => "text");

        // Russian Networks
        $of_options[] = array("name" => "Odnoklassniki", "desc" => "", "id" => "serpentsoft_social_odnoklassniki", "std" => "", "type" => "text");
        $of_options[] = array("name" => "VK", "desc" => "", "id" => "serpentsoft_social_vk", "std" => "", "type" => "text");
        
        $of_options[] = array("id" => "serpentsoft_close_group_socialNetworksNames",
            "type" => "serpentsoftCloseGroup"
        );

        // =============================================================================
        // Stylying Settings
        // =============================================================================
        $of_options[] = array("name" => __("Styling Options" , $srpnt_domain_name),
            "type" => "heading",
            "icon" => "icon-picture"
        );
        
        /* ------------------------- Theme Skin -------------------------------- */
        $of_options_theme_skin = array( "light" => "Light", "dark" => "Dark" );
        
        $of_options[] = array("name" => __("Theme Skin" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_themeSkin",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Choose Skin" , $srpnt_domain_name),
            "desc" => "",
            "id" => "rdo_serpentsoft_theme_skin",
            "std" => "light", /* light, dark */
            "type" => "radio",
            "options" => $of_options_theme_skin
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_themeSkin",
            "type" => "serpentsoftCloseGroup"
        );
        /* ------------------------ End Of Theme Main Color ----------------------------------- */
        
        /* ------------------------- Theme Main Color -------------------------------- */
        $of_options[] = array("name" => __("Theme Main Color" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_themeMainColor",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Main Color" , $srpnt_domain_name),
            "desc" => __("Theme Main Color." , $srpnt_domain_name),
            "id" => "serpentsoft_theme_main_color",
            "std" => "#2c98e0",
            "type" => "color"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_themeMainColor",
            "type" => "serpentsoftCloseGroup"
        );
        /* ------------------------ End Of Theme Main Color ----------------------------------- */
        
        /* ------------------------ Additional Options ----------------------------------- */
        $of_options[] = array("name" => __("Responsiveness" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_article_responsiveness",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Enable Responsive?" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_switch_responsiveness",
            "std" => 1,
            "off" => "No",
            "on" => "Yes",
            "type" => "switch"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_article_responsiveness",
            "type" => "serpentsoftCloseGroup"
        );
        
        /* ------------------------ Mouse Hover Effects  ----------------------------------- */
        $of_options[] = array("name" => __("Mouse Over Effects" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_article_hoverEffects",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Enable Slider's Animation On Mouse Over?" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_switch_slide_hoverEffects_slider",
            "std" => 1,
            "off" => "No",
            "on" => "Yes",
            "type" => "switch"
        );
        
        $of_options[] = array("name" => __("Enable Widgets & Home Categories Animation On Mouse Over?" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_switch_slide_hoverEffects_widgets",
            "std" => 1,
            "off" => "No",
            "on" => "Yes",
            "type" => "switch"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_article_hoverEffects",
            "type" => "serpentsoftCloseGroup"
        );
        
        // Website Layout
        $of_options[] = array("name" => __("Body Layout" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_websiteLayout",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("(Fixed / Fluid) Layouts Available" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_fixed_layout",
            "off" => "Fluid",
            "on" => "Fixed",
            "std" => 1,
            "type" => "switch"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_websiteBackground",
            "type" => "serpentsoftCloseGroup"
        );
        
        
        /* ----------------------- Website Background -------------------------------- */
        $of_options[] = array("name" => __("Main Background (For Fixed Layout Only)" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_websiteBackground",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Background Style" , $srpnt_domain_name),
            "desc" => "",
            "id" => "rdo_serpentsoft_body_background_styles",
            "std" => "none", /* none, pattern, custom */
            "type" => "radio",
            "options" => $of_options_body_background_style
        );
        
            /* ======================== Background Pattern ========================== */
            $of_options[] = array("name" => "",
                "id" => "serpentsoft_open_container_background_patterns",
                "type" => "serpentsoft_open_DivContainer"
            );

            $of_options[] = array("name" => __("Body Background Color" , $srpnt_domain_name),
                "desc" => __("Color will be applied when the background transparent." , $srpnt_domain_name),
                "id" => "serpentsoft_body_background_pattern_color",
                "std" => "",
                "type" => "color"
            );

            $of_options[] = array("name" => __("Background Images" , $srpnt_domain_name),
                "desc" => __("Select a background pattern." , $srpnt_domain_name),
                "id" => "serpentsoft_body_background_pattern_images",
                "std" => $bg_images_url . "bg0.png",
                "type" => "tiles",
                "options" => $bg_images,
            );

            $of_options[] = array("name" => "",
                "id" => "serpentsoft_close_container_background_patterns",
                "type" => "serpentsoft_close_DivContainer"
            );
        
            /* ======================== Background Custom ========================== */
            $of_options[] = array("name" => "",
                "id" => "serpentsoft_open_container_background_image",
                "type" => "serpentsoft_open_DivContainer"
            );

            $of_options[] = array("name" => "",
                "desc" => __("Body Background Color will be applied when the background transparent." , $srpnt_domain_name),
                "id" => "serpentsoft_body_background_image_color",
                "std" => "",
                "type" => "color"
            );
            
            $of_options[] = array("name" => __("Website Background Image" , $srpnt_domain_name),
                "desc" => __("Set Image as a full background cover" , $srpnt_domain_name),
                "id" => "serpentsoft_switch_body_background_image_style",
                "on" => "Cover",
                "off" => "Normal",
                "std" => 0,
                "type" => "switch"
            );
            
            $of_options[] = array("name" => "",
                "desc" => __("Upload Image" , $srpnt_domain_name),
                "id" => "serpentsoft_body_background_image_upload",
                // Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
                "std" => "",
                "type" => "upload"
            );

            $of_options[] = array("name" => "",
                "desc" => __("Background Repeat" , $srpnt_domain_name),
                "id" => "serpentsoft_select_body_background_image_repeat",
                "std" => "no-repeat", /* default, repeat, repeat-x, repeat-y, no-repeat */
                "type" => "select",
                "options" => $of_options_body_background_image_repeat
            );
            
            $of_options[] = array("name" => "",
                "desc" => __("Background Attachment" , $srpnt_domain_name),
                "id" => "serpentsoft_select_body_background_image_attachment",
                "std" => "fixed", /* default, fixed, scroll, local */
                "type" => "select",
                "options" => $of_options_body_background_image_attachment
            );
            
            $of_options[] = array("name" => "",
                "desc" => __("Background Horizontal Position" , $srpnt_domain_name),
                "id" => "serpentsoft_select_body_background_image_position_horiz",
                "std" => "center", /* default, left, center, right */
                "type" => "select",
                "options" => $of_options_body_background_image_position_horiz
            );
            
            $of_options[] = array("name" => "",
                "desc" => __("Background Vertical Position" , $srpnt_domain_name),
                "id" => "serpentsoft_select_body_background_image_position_vert",
                "std" => "top", /* default, top, center, bottom */
                "type" => "select",
                "options" => $of_options_body_background_image_position_vert
            );
            
            $of_options[] = array("name" => "",
                "id" => "serpentsoft_close_container_background_image",
                "type" => "serpentsoft_close_DivContainer"
            );
            
        $of_options[] = array("id" => "serpentsoft_close_group_websiteBackground",
            "type" => "serpentsoftCloseGroup"
        );
        /* ---------------------------- End Website Background ----------------------------------- */
        
        /* ---------------------------- Body ----------------------------------- */
        $of_options[] = array("name" => "Body Style",
            "id" => "serpentsoft_open_group_style_body",
            "type" => "serpentsoftOpenGroup"
        );
        
        /* $of_options[] = array("name" => "Body Background Color",
            "desc" => "",
            "id" => "serpentsoft_body_background_color",
            "std" => "",
            "type" => "color"
        ); */

        
        $of_options[] = array("name" => __("Background Color" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_body_main_background_color",
            "std" => "",
            "type" => "color"
        );
        
        $of_options[] = array("name" => __("Background Image" , $srpnt_domain_name),
            "desc" => __("Upload Image" , $srpnt_domain_name),
            "id" => "serpentsoft_body_main_background_image_upload",
            // Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
            "std" => "",
            "type" => "upload"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Background Repeat" , $srpnt_domain_name),
            "id" => "serpentsoft_select_body_main_background_image_repeat",
            "std" => "repeat", /* default, repeat, repeat-x, repeat-y, no-repeat */
            "type" => "select",
            "options" => $of_options_body_background_image_repeat
        );

        $of_options[] = array("name" => "",
            "desc" => __("Background Attachment" , $srpnt_domain_name),
            "id" => "serpentsoft_select_body_main_background_image_attachment",
            "std" => "scroll", /* default, fixed, scroll, local */
            "type" => "select",
            "options" => $of_options_body_background_image_attachment
        );

        $of_options[] = array("name" => "",
            "desc" => __("Background Horizontal Position" , $srpnt_domain_name),
            "id" => "serpentsoft_select_body_main_background_image_position_horiz",
            "std" => "center", /* default, left, center, right */
            "type" => "select",
            "options" => $of_options_body_background_image_position_horiz
        );

        $of_options[] = array("name" => "",
            "desc" => __("Background Vertical Position" , $srpnt_domain_name),
            "id" => "serpentsoft_select_body_main_background_image_position_vert",
            "std" => "top", /* default, top, center, bottom */
            "type" => "select",
            "options" => $of_options_body_background_image_position_vert
        );
        
        
        $of_options[] = array("name" => __("Link Decoration Style" , $srpnt_domain_name),
            "desc" => __("Link Decoration (Normal State)" , $srpnt_domain_name),
            "id" => "serpentsoft_body_link_decoration",
            "std" => "default",
            "type" => "select",
            "options" => $of_options_link_decoration
        );

        $of_options[] = array("name" => "",
            "desc" => __("Link Decoration (Mouse Hover)" , $srpnt_domain_name),
            "id" => "serpentsoft_body_link_decoration_onhover",
            "std" => "default",
            "type" => "select",
            "options" => $of_options_link_decoration
        );

        $of_options[] = array("name" => "",
            "desc" => __("Link Font Color (Normal State)" , $srpnt_domain_name),
            "id" => "serpentsoft_body_link_color",
            "std" => "",
            "type" => "color"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Link Font Color (Mouse Hover)" , $srpnt_domain_name),
            "id" => "serpentsoft_body_link_color_onhover",
            "std" => "",
            "type" => "color"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_style_body",
            "type" => "serpentsoftCloseGroup"
        );
        /* ---------------------------- End Body ----------------------------------- */
        
        
        /* ---------------------------- Top Menu Style ----------------------------- */
        
        $of_options[] = array("name" => __("Top Menu Style" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_topMenuStyle",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Top Menu Background Color" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_topmenu_background_color",
            "std" => "",
            "type" => "color"
        );
        
        $of_options[] = array("name" => __("Top Menu Background Image" , $srpnt_domain_name),
            "desc" => __("Upload Image" , $srpnt_domain_name),
            "id" => "serpentsoft_topmenu_background_image_upload",
            // Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
            "std" => "",
            "type" => "upload"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Background Repeat" , $srpnt_domain_name),
            "id" => "serpentsoft_select_topmenu_background_image_repeat",
            "std" => "default", /* default, repeat, repeat-x, repeat-y, no-repeat */
            "type" => "select",
            "options" => $of_options_body_background_image_repeat
        );

        $of_options[] = array("name" => "",
            "desc" => __("Background Attachment" , $srpnt_domain_name),
            "id" => "serpentsoft_select_topmenu_background_image_attachment",
            "std" => "default", /* default, fixed, scroll, local */
            "type" => "select",
            "options" => $of_options_body_background_image_attachment
        );

        $of_options[] = array("name" => "",
            "desc" => __("Background Horizontal Position" , $srpnt_domain_name),
            "id" => "serpentsoft_select_topmenu_background_image_position_horiz",
            "std" => "default", /* default, left, center, right */
            "type" => "select",
            "options" => $of_options_body_background_image_position_horiz
        );

        $of_options[] = array("name" => "",
            "desc" => __("Background Vertical Position" , $srpnt_domain_name),
            "id" => "serpentsoft_select_topmenu_background_image_position_vert",
            "std" => "default", /* default, top, center, bottom */
            "type" => "select",
            "options" => $of_options_body_background_image_position_vert
        );
        
        $of_options[] = array("name" => __("Link Decoration Style" , $srpnt_domain_name),
            "desc" => __("Link Decoration (Normal State)" , $srpnt_domain_name),
            "id" => "serpentsoft_topmenu_link_decoration",
            "std" => "default",
            "type" => "select",
            "options" => $of_options_link_decoration
        );

        $of_options[] = array("name" => "",
            "desc" => __("Link Decoration (Mouse Hover)" , $srpnt_domain_name),
            "id" => "serpentsoft_topmenu_link_decoration_onhover",
            "std" => "default",
            "type" => "select",
            "options" => $of_options_link_decoration
        );

        $of_options[] = array("name" => "",
            "desc" => __("Link Font Color (Normal State)" , $srpnt_domain_name),
            "id" => "serpentsoft_topmenu_link_color",
            "std" => "",
            "type" => "color"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Link Font Color (Mouse Hover)" , $srpnt_domain_name),
            "id" => "serpentsoft_topmenu_link_color_onhover",
            "std" => "",
            "type" => "color"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_topMenuStyle",
            "type" => "serpentsoftCloseGroup"
        );
        
        /* ---------------------------- End of Top Menu Style ---------------------- */
        
        
        /* ---------------------------- Main Menu Style ---------------------- */
        $of_options[] = array("name" => __("Main Menu Style" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_styling_mainMenuStyle",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Main Menu Style" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_switch_mainMenu_2d3d",
            "std" => 0,
            "off" => "3D",
            "on" => "2D",
            "type" => "switch"
        );
        
        $of_options[] = array("name" => __("Background Color", $srpnt_domain_name),
            "desc" => __("Background Color #1 (2D Flat / 3D)" , $srpnt_domain_name),
            "id" => "serpentsoft_mainmenu_backcolor_1",
            "std" => "#545454",
            "type" => "color"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Background Color #2 (3D Only)" , $srpnt_domain_name),
            "id" => "serpentsoft_mainmenu_backcolor_2",
            "std" => "#494949",
            "type" => "color"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Background Color #3 (3D Only)" , $srpnt_domain_name),
            "id" => "serpentsoft_mainmenu_backcolor_3",
            "std" => "#3D3D3D",
            "type" => "color"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Background Color #4 (3D Only)" , $srpnt_domain_name),
            "id" => "serpentsoft_mainmenu_backcolor_4",
            "std" => "#282828",
            "type" => "color"
        );
        
        $of_options[] = array("name" => __("Font Color", $srpnt_domain_name),
            "desc" => __("Font Color" , $srpnt_domain_name),
            "id" => "serpentsoft_mainmenu_fontcolor",
            "std" => "#ffffff",
            "type" => "color"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Font Color On Hover" , $srpnt_domain_name),
            "id" => "serpentsoft_mainmenu_fontcolor_hover",
            "std" => "#ffffff",
            "type" => "color"
        );
        
        $of_options[] = array("name" => __("Vertical Divider", $srpnt_domain_name),
            "desc" => __("Vertical Divider Left Color" , $srpnt_domain_name),
            "id" => "serpentsoft_mainmenu_vert_divider_leftcolor",
            "std" => "#383838",
            "type" => "color"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Vertical Divider Right Color" , $srpnt_domain_name),
            "id" => "serpentsoft_mainmenu_vert_divider_rightcolor",
            "std" => "#616161",
            "type" => "color"
        );
        
        $of_options[] = array("name" => __("Dropdown Menu", $srpnt_domain_name),
            "desc" => __("Dropdown Background Color" , $srpnt_domain_name),
            "id" => "serpentsoft_mainmenu_dropdown_backcolor",
            "std" => "#414141",
            "type" => "color"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Dropdown Border Color" , $srpnt_domain_name),
            "id" => "serpentsoft_mainmenu_dropdown_bordercolor",
            "std" => "#303030",
            "type" => "color"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Dropdown Border Between Items" , $srpnt_domain_name),
            "id" => "serpentsoft_mainmenu_dropdown_li_bordercolor",
            "std" => "#585858",
            "type" => "color"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_styling_mainMenuStyle",
            "type" => "serpentsoftCloseGroup"
        );
        /* ---------------------------- End Of Main Menu Style ---------------------- */
        
        /* ---------------------------- Footer ----------------------------------- */
        $of_options[] = array("name" => "Footer Style",
            "id" => "serpentsoft_open_group_style_footer",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Background Color" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_footer_background_color",
            "std" => "",
            "type" => "color"
        );
        
        $of_options[] = array("name" => __("Background Image" , $srpnt_domain_name),
            "desc" => __("Upload Image" , $srpnt_domain_name),
            "id" => "serpentsoft_footer_background_image_upload",
            // Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
            "std" => "",
            "type" => "upload"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Background Repeat" , $srpnt_domain_name),
            "id" => "serpentsoft_select_footer_background_image_repeat",
            "std" => "repeat", /* default, repeat, repeat-x, repeat-y, no-repeat */
            "type" => "select",
            "options" => $of_options_body_background_image_repeat
        );

        $of_options[] = array("name" => "",
            "desc" => __("Background Attachment" , $srpnt_domain_name),
            "id" => "serpentsoft_select_footer_background_image_attachment",
            "std" => "scroll", /* default, fixed, scroll, local */
            "type" => "select",
            "options" => $of_options_body_background_image_attachment
        );

        $of_options[] = array("name" => "",
            "desc" => __("Background Horizontal Position" , $srpnt_domain_name),
            "id" => "serpentsoft_select_footer_background_image_position_horiz",
            "std" => "center", /* default, left, center, right */
            "type" => "select",
            "options" => $of_options_body_background_image_position_horiz
        );

        $of_options[] = array("name" => "",
            "desc" => __("Background Vertical Position" , $srpnt_domain_name),
            "id" => "serpentsoft_select_footer_background_image_position_vert",
            "std" => "top", /* default, top, center, bottom */
            "type" => "select",
            "options" => $of_options_body_background_image_position_vert
        );
        
        
        $of_options[] = array("name" => __("Link Decoration Style" , $srpnt_domain_name),
            "desc" => __("Link Decoration (Normal State)" , $srpnt_domain_name),
            "id" => "serpentsoft_footer_link_decoration",
            "std" => "default",
            "type" => "select",
            "options" => $of_options_link_decoration
        );

        $of_options[] = array("name" => "",
            "desc" => __("Link Decoration (Mouse Hover)" , $srpnt_domain_name),
            "id" => "serpentsoft_footer_link_decoration_onhover",
            "std" => "default",
            "type" => "select",
            "options" => $of_options_link_decoration
        );

        $of_options[] = array("name" => "",
            "desc" => __("Link Font Color (Normal State)" , $srpnt_domain_name),
            "id" => "serpentsoft_footer_link_color",
            "std" => "",
            "type" => "color"
        );

        $of_options[] = array("name" => "",
            "desc" => __("Link Font Color (Mouse Hover)" , $srpnt_domain_name),
            "id" => "serpentsoft_footer_link_color_onhover",
            "std" => "",
            "type" => "color"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_style_footer",
            "type" => "serpentsoftCloseGroup"
        );
        /* ---------------------------- End Footer ----------------------------------- */
        
        /* --------------------------- Custom Styling CSS -------------------------- */
        
        $of_options[] = array("name" => __("Custom CSS Styling (Designers ONLY)" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_styling_css_general",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Global CSS" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_styling_css_custom_global",
            "std" => "",
            "type" => "textarea"
        );
        
        $of_options[] = array("name" => __("Large Display CSS (Min Width: 1200 Pixels)" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_styling_css_custom_LargeDisplay",
            "std" => "",
            "type" => "textarea"
        );
        
        $of_options[] = array("name" => __("Tablet CSS (Max Width: 1050 Pixels)" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_styling_css_custom_Tablet",
            "std" => "",
            "type" => "textarea"
        );
        
        $of_options[] = array("name" => __("Portrait Tablet (Width: 768 to 979 Pixels)" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_styling_css_custom_PortraitTablet",
            "std" => "",
            "type" => "textarea"
        );
        
        $of_options[] = array("name" => __("Landscape Phone (Max Width: 767 Pixels)" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_styling_css_custom_LandscapePhone",
            "std" => "",
            "type" => "textarea"
        );
        
        $of_options[] = array("name" => __("Landscape Phones and Down (Max Width: 480 Pixels)" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_styling_css_custom_LandscapePhoneAndDown",
            "std" => "",
            "type" => "textarea"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_styling_css_general",
            "type" => "serpentsoftCloseGroup"
        );
        
        /* $of_options[] = array("name" => "Theme Stylesheet",
            "desc" => "Select your themes alternative color scheme.",
            "id" => "alt_stylesheet",
            "std" => "default.css",
            "type" => "select",
            "options" => $alt_stylesheets
        );

        $of_options[] = array("name" => "Body Background Color",
            "desc" => "Pick a background color for the theme (default: #fff).",
            "id" => "body_background",
            "std" => "",
            "type" => "color"
        );

        $of_options[] = array("name" => "Header Background Color",
            "desc" => "Pick a background color for the header (default: #fff).",
            "id" => "header_background",
            "std" => "",
            "type" => "color"
        );

        $of_options[] = array("name" => "Footer Background Color",
            "desc" => "Pick a background color for the footer (default: #fff).",
            "id" => "footer_background",
            "std" => "",
            "type" => "color"
        );

        $of_options[] = array("name" => "Body Font",
            "desc" => "Specify the body font properties",
            "id" => "body_font",
            "std" => array('size' => '12px', 'face' => 'arial', 'style' => 'normal', 'color' => '#000000'),
            //"type" => "typography"
            "type" => "google_fonts_typography"
        );

        $of_options[] = array("name" => "Custom CSS",
            "desc" => "Quickly add some CSS to your theme by adding it to this block.",
            "id" => "custom_css",
            "std" => "",
            "type" => "textarea"
        ); */

        
        // ========================================================
        // Header: Typography
        //=========================================================
        $of_options[] = array("name" => __("Typography Settings" , $srpnt_domain_name),
            "type" => "heading",
            "icon" => "icon-font"
        );
        
        //Character Sets
        $of_options[] = array("name" => __("Character Sets" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_typoCharSet",
            "type" => "serpentsoftOpenGroup"
        );

        $of_options[] = array("name" => __("Choose your suitable character set" , $srpnt_domain_name),
            "desc" => __("Latin Extended" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_latin_ext",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Cyrillic" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_cyrillic",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Cyrillic Extended" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_cyrillic_ext",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Greek" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_greek",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Greek Extended" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_greek_ext",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Vietnamese" , $srpnt_domain_name),
            "id" => "serpentsoft_switch_vietnamese",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_typoCharSet",
            "type" => "serpentsoftCloseGroup"
        );
        
        //General Typography
        $of_options[] = array("name" => "General Typography",
            "id" => "serpentsoft_open_group_typoFonts_main",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Body" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_general_body",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        /* Widget Titles */
        $of_options[] = array("name" => __("Widget Title" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_general_widgetTitle",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        /* Breaking News */
        $of_options[] = array("name" => __("Breaking News Section Title" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_general_breakingNewsTitle",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        $of_options[] = array("name" => __("Breaking News Post Title" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_general_breakingNewsPost",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        /* Latest Tweets */
        $of_options[] = array("name" => __("Latest Tweets Section Title" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_general_latestTweetsTitle",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        $of_options[] = array("name" => __("Latest Tweets Post Link" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_general_latestTweetsLink",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        /* Footer Widgets */
        $of_options[] = array("name" => __("Footer Widget Title" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_general_footerWidgetTitle",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_typoFonts_main",
            "type" => "serpentsoftCloseGroup"
        );
        
        /* Typography -> Top Menu */
        $of_options[] = array("name" => __("Top Menu Typography" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_typoFonts_topmenu",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Top Menu Widgets Title" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_topMenu_widgetTitle",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_typoFonts_topmenu",
            "type" => "serpentsoftCloseGroup"
        );
         
        /* Typography -> Header Titles */
        $of_options[] = array("name" => __("Header Typography" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_typoFonts_header",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Site Title" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_header_siteTitle",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        $of_options[] = array("name" => __("Site Description" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_header_siteDesc",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_typoFonts_header",
            "type" => "serpentsoftCloseGroup"
        );
        
        /* Typography -> Main Menu */
        $of_options[] = array("name" => __("Main Menu Typography" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_typoFonts_mainmenu",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Main Menu" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_mainMenu",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        $of_options[] = array("name" => __("Main Menu (Dropdown Menu)" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_mainMenu_dropdown",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_typoFonts_mainmenu",
            "type" => "serpentsoftCloseGroup"
        );
        
        /* Home Page */
        $of_options[] = array("name" => __("Home Page Typography" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_typoFonts_homepage",
            "type" => "serpentsoftOpenGroup"
        );
        
        /* Slider */
        $of_options[] = array("name" => __("Slider Post Title" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_hp_sliderTitle",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        $of_options[] = array("name" => __("Slider Post Description" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_hp_sliderDesc",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        /* Home Page Category Title */
        $of_options[] = array("name" => __("Category Widgets Title" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_hp_cat_widgetTitle",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        
        $of_options[] = array("id" => "serpentsoft_close_group_typoFonts_homepage",
            "type" => "serpentsoftCloseGroup"
        );
        
        /* Archive Page */
        $of_options[] = array("name" => __("Archive Typography" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_typoFonts_archive",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Post Title" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_archive_postTitle",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        $of_options[] = array("name" => __("Post Meta" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_archive_postMeta",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        $of_options[] = array("name" => __("Post Description" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_archive_postDesc",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_typoFonts_archive",
            "type" => "serpentsoftCloseGroup"
        );
        
        /* Post Page */
        $of_options[] = array("name" => __("Post Typography" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_typoFonts_post",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => __("Post Title" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_post_postTitle",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        $of_options[] = array("name" => __("Post Meta" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_post_postMeta",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        $of_options[] = array("name" => __("Post Entry" , $srpnt_domain_name),
            "desc" => "",
            "id" => "serpentsoft_typography_post_postEntry",
            "std" => array(
                'size' => '',
                'style' => '',
                'height' => '',
                'face' => '',
                'color' => ''
            ),
            "type" => "typography"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_typoFonts_post",
            "type" => "serpentsoftCloseGroup"
        );
        
        // ========================================================
        // Header: Advanced Tab
        //=========================================================
        $of_options[] = array("name" => "Advanced Settings",
            "type" => "heading",
            "icon" => "icon-warning-sign"
        );
        
        /* Update Theme */
        $of_options[] = array("name" => __("Notify Me When Theme Update" , $srpnt_domain_name),
            "id" => "serpentsoft_open_group_advanced_UpdateTheme",
            "type" => "serpentsoftOpenGroup"
        );
        
        $of_options[] = array("name" => "",
            "desc" => "",
            "id" => "serpentsoft_switch_updateTheme",
            "std" => 0,
            "type" => "switch"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Themeforest Username" , $srpnt_domain_name),
            "id" => "serpentsoft_tf_username",
            "std" => "",
            "fold" => "serpentsoft_switch_updateTheme",
            "type" => "text"
        );
        
        $of_options[] = array("name" => "",
            "desc" => __("Themeforest API Key" , $srpnt_domain_name),
            "id" => "serpentsoft_tf_api_key",
            "std" => "",
            "fold" => "serpentsoft_switch_updateTheme",
            "type" => "text"
        );
        
        $of_options[] = array("id" => "serpentsoft_close_group_UpdateTheme",
            "type" => "serpentsoftCloseGroup"
        );
        
        // ========================================================
        // Header: General-2
        //=========================================================
        /* $of_options[] = array("name" => "General-2 Settings",
            "type" => "heading"
        );
        
        $url = ADMIN_DIR . 'assets/images/';
        $of_options[] = array("name" => "Main Layout",
            "desc" => "Select main content and sidebar alignment. Choose between 1, 2 or 3 column layout.",
            "id" => "layout",
            "std" => "2c-l-fixed.css",
            "type" => "images",
            "options" => array(
                '1col-fixed.css' => $url . '1col.png',
                '2c-r-fixed.css' => $url . '2cr.png',
                '2c-l-fixed.css' => $url . '2cl.png',
                '3c-fixed.css' => $url . '3cm.png',
                '3c-r-fixed.css' => $url . '3cr.png'
            )
        );

        $of_options[] = array("name" => "Tracking Code",
            "desc" => "Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.",
            "id" => "google_analytics",
            "std" => "",
            "type" => "textarea"
        );

        $of_options[] = array("name" => "Footer Text",
            "desc" => "You can use the following shortcodes in your footer text: [wp-link] [theme-link] [loginout-link] [blog-title] [blog-link] [the-year]",
            "id" => "footer_text",
            "std" => "Powered by [wp-link]. Built on the [theme-link].",
            "type" => "textarea"
        ); */
        
        
        // ==================================================================
        // Header: Example Options
        // ==================================================================
        /* $of_options[] = array("name" => "Example Options",
            "type" => "heading"
        );

        $of_options[] = array("name" => "Typography",
            "desc" => "This is a typographic specific option.",
            "id" => "typography",
            "std" => array(
                'size' => '12px',
                'face' => 'verdana',
                'style' => 'bold italic',
                'color' => '#123456'
            ),
            "type" => "typography"
        );

        $of_options[] = array("name" => "Border",
            "desc" => "This is a border specific option.",
            "id" => "border",
            "std" => array(
                'width' => '2',
                'style' => 'dotted',
                'color' => '#444444'
            ),
            "type" => "border"
        );

        $of_options[] = array("name" => "Colorpicker",
            "desc" => "No color selected.",
            "id" => "example_colorpicker",
            "std" => "",
            "type" => "color"
        );

        $of_options[] = array("name" => "Colorpicker (default #2098a8)",
            "desc" => "Color selected.",
            "id" => "example_colorpicker_2",
            "std" => "#2098a8",
            "type" => "color"
        );

        $of_options[] = array("name" => "Input Text",
            "desc" => "A text input field.",
            "id" => "test_text",
            "std" => "Default Value",
            "type" => "text"
        );

        $of_options[] = array("name" => "Input Checkbox (false)",
            "desc" => "Example checkbox with false selected.",
            "id" => "example_checkbox_false",
            "std" => 0,
            "type" => "checkbox"
        );

        $of_options[] = array("name" => "Input Checkbox (true)",
            "desc" => "Example checkbox with true selected.",
            "id" => "example_checkbox_true",
            "std" => 1,
            "type" => "checkbox"
        );

        $of_options[] = array("name" => "Normal Select",
            "desc" => "Normal Select Box.",
            "id" => "example_select",
            "std" => "three",
            "type" => "select",
            "options" => $of_options_select
        );

        $of_options[] = array("name" => "Mini Select",
            "desc" => "A mini select box.",
            "id" => "example_select_2",
            "std" => "two",
            "type" => "select",
            "mod" => "mini",
            "options" => $of_options_radio
        );

        $of_options[] = array("name" => "Google Font Select",
            "desc" => "Some description. Note that this is a custom text added added from options file.",
            "id" => "g_select",
            "std" => "Select a font",
            "type" => "select_google_font",
            "preview" => array(
                "text" => "This is my preview text!", //this is the text from preview box
                "size" => "30px" //this is the text size from preview box
            ),
            "options" => array(
                "none" => "Select a font", //please, always use this key: "none"
                "Lato" => "Lato",
                "Loved by the King" => "Loved By the King",
                "Tangerine" => "Tangerine",
                "Terminal Dosis" => "Terminal Dosis"
            )
        );

        $of_options[] = array("name" => "Google Font Select2",
            "desc" => "Some description.",
            "id" => "g_select2",
            "std" => "Select a font",
            "type" => "select_google_font",
            "options" => array(
                "none" => "Select a font", //please, always use this key: "none"
                "Lato" => "Lato",
                "Loved by the King" => "Loved By the King",
                "Tangerine" => "Tangerine",
                "Terminal Dosis" => "Terminal Dosis"
            )
        );

        $of_options[] = array("name" => "Input Radio (one)",
            "desc" => "Radio select with default of 'one'.",
            "id" => "example_radio",
            "std" => "one",
            "type" => "radio",
            "options" => $of_options_radio
        );

        $url = ADMIN_DIR . 'assets/images/';
        $of_options[] = array("name" => "Image Select",
            "desc" => "Use radio buttons as images.",
            "id" => "images",
            "std" => "warning.css",
            "type" => "images",
            "options" => array(
                'warning.css' => $url . 'warning.png',
                'accept.css' => $url . 'accept.png',
                'wrench.css' => $url . 'wrench.png'
            )
        );

        $of_options[] = array("name" => "Textarea",
            "desc" => "Textarea description.",
            "id" => "example_textarea",
            "std" => "Default Text",
            "type" => "textarea"
        );

        $of_options[] = array("name" => "Multicheck",
            "desc" => "Multicheck description.",
            "id" => "example_multicheck",
            "std" => array("three", "two"),
            "type" => "multicheck",
            "options" => $of_options_radio
        );

        $of_options[] = array("name" => "Select a Category",
            "desc" => "A list of all the categories being used on the site.",
            "id" => "example_category",
            "std" => "Select a category:",
            "type" => "select",
            "options" => $of_categories
        ); */

        // ============================================================
        // Heading: Advanced Settings
        // ============================================================
        /* $of_options[] = array("name" => "Advanced Settings",
            "type" => "heading"
        );

        $of_options[] = array("name" => "Folding Checkbox",
            "desc" => "This checkbox will hide/show a couple of options group. Try it out!",
            "id" => "offline",
            "std" => 0,
            "folds" => 1,
            "type" => "checkbox"
        );

        $of_options[] = array("name" => "Hidden option 1",
            "desc" => "This is a sample hidden option 1",
            "id" => "hidden_option_1",
            "std" => "Hi, I\'m just a text input",
            "fold" => "offline", // the checkbox hook
            "type" => "text"
        );

        $of_options[] = array("name" => "Hidden option 2",
            "desc" => "This is a sample hidden option 2",
            "id" => "hidden_option_2",
            "std" => "Hi, I\'m just a text input",
            "fold" => "offline", // the checkbox hook
            "type" => "text"
        );

        $of_options[] = array("name" => "Hello there!",
            "desc" => "",
            "id" => "introduction_2",
            "std" => "<h3 style=\"margin: 0 0 10px;\">Grouped Options.</h3>
						You can group a bunch of options under a single heading by removing the 'name' value from the options array except for the first option in the group.",
            "icon" => true,
            "type" => "info"
        );

        $of_options[] = array("name" => "Some pretty colors for you",
            "desc" => "Color 1.",
            "id" => "example_colorpicker_3",
            "std" => "#2098a8",
            "type" => "color"
        );

        $of_options[] = array("name" => "",
            "desc" => "Color 2.",
            "id" => "example_colorpicker_4",
            "std" => "#2098a8",
            "type" => "color"
        );

        $of_options[] = array("name" => "",
            "desc" => "Color 3.",
            "id" => "example_colorpicker_5",
            "std" => "#2098a8",
            "type" => "color"
        );

        $of_options[] = array("name" => "",
            "desc" => "Color 4.",
            "id" => "example_colorpicker_6",
            "std" => "#2098a8",
            "type" => "color"
        ); */

        /* ============================================================= */
        // Backup Options
        /* ============================================================= */
        $of_options[] = array("name" => __("Backup Options" , $srpnt_domain_name),
            "type" => "heading",
            "icon" => "icon-undo"
            //"icon" => ADMIN_IMAGES . "icon-slider.png"
        );

        $of_options[] = array("name" => __("Backup and Restore Options" , $srpnt_domain_name),
            "id" => "of_backup",
            "std" => "",
            "type" => "backup",
            "desc" => __("You can use the two buttons below to backup your current options, and then restore it back at a later time. This is useful if you want to experiment on the options but would like to keep the old settings in case you need it back." , $srpnt_domain_name),
        );

        $of_options[] = array("name" => __("Transfer Theme Options Data" , $srpnt_domain_name),
            "id" => "of_transfer",
            "std" => "",
            "type" => "transfer",
            "desc" => __('You can tranfer the saved options data between different installs by copying the text inside the text box. To import data from another install, replace the data in the text box with the one from another install and click "Import Options".' , $srpnt_domain_name),
        );
    }

/* End function: of_options() */
/* End chack if function exists: of_options() */
} ?>
