<?php
/**
 * The template for displaying Archive pages.
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * 
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Serpentsoft
 * @subpackage Adams_News 1.0
 * @since Adams News 1.0
 */
get_header(); ?>

<article class="article-container" itemscope itemtype="http://schema.org/Article" role="main">
    <div class="row-fluid">

        <?php if (have_posts()) : ?>

            <div class="article-content">
                <header>
                    <?php serpentsoft_single_breadcrumb(); ?>

                    <h1 itemprop="headline">
                        <?php if (is_day()) :
                            printf(__('Daily Archives: %s', 'serpentsoft'), '<span>' . get_the_date( get_option('date_format') ) . '</span>');
                        elseif (is_month()) :
                            printf(__('Monthly Archives: %s', 'serpentsoft'), '<span>' . get_the_date(_x('F Y', 'monthly archives date format', 'serpentsoft')) . '</span>');
                        elseif (is_year()) :
                            printf(__('Yearly Archives: %s', 'serpentsoft'), '<span>' . get_the_date(_x('Y', 'yearly archives date format', 'serpentsoft')) . '</span>');
                        else :
                            _e('Archives', 'serpentsoft');
                        endif; ?>
                    </h1>

                    <div class="post-info"></div>

                </header>

                <span class="clearfix"></span>

                <!-- Blog Archive -->
                <div class="blog">
                    <ul class="media-list">
                        <?php while (have_posts()) : the_post();
                        get_template_part('loop', 'blog');
                        endwhile; ?>
                    </ul>

                    <div class="row-fluid paging-footer"><?php serpentsoft_bootstrap_pagination(); ?></div>

                </div>

            </div> <!-- article-content -->

        <?php else: ?>

            <div class="article-content">
                <header>
                    <?php serpentsoft_single_breadcrumb(); ?>

                    <h1 itemprop="headline">
                        <?php _e('No Posts Found', 'serpentsoft'); ?>
                    </h1>

                    <div class="post-info"></div>

                </header>

                <span class="clearfix"></span>

                <!-- Blog -->
                <div class="blog">
                    <p><?php printf(__('Apologies, but no posts were found.', 'serpentsoft')); ?></p>
                </div>

            </div>

        <?php endif; ?>
    </div>

</article>

<?php get_footer(); ?>

