<?php
/**
 * The template for displaying Category pages.
 *
 * Used to display archive-type pages for posts in a category.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Serpentsoft
 * @subpackage Adams_News 1.0
 * @since Adams News 1.0
 */
get_header(); ?>

<article class="article-container" itemscope itemtype="http://schema.org/Article" role="main">
    <div class="row-fluid">

        <?php if ( have_posts() ) : ?>
        
        <div class="article-content">
            <header>
                <?php serpentsoft_single_breadcrumb(); ?>

                <h1 itemprop="headline"><?php printf( __( 'Category Archives: %s', 'serpentsoft' ), '<span>' . single_cat_title( '', false ) . '</span>' ); ?></h1>

                <?php if ( tag_description() ) : // Show an optional tag description ?>
                    <div class="post-info"><small><?php echo category_description(); ?></small></div>
                <?php else: ?>
                    <div class="post-info"></div>
                <?php endif; ?>

            </header>

            <span class="clearfix"></span>
			
            <!-- Blog Category -->
            <div class="blog">
                <ul class="media-list">
                <?php while ( have_posts() ) : the_post();
                get_template_part('loop', 'blog');
                endwhile; ?>
                </ul>
                
                <div class="row-fluid paging-footer"><?php serpentsoft_bootstrap_pagination(); ?></div>
                
                </div><!-- Blog -->

		</div> <!-- article-content -->
		
        <?php else: ?>
        
        <div class="article-content">
            <header>
                <?php serpentsoft_single_breadcrumb(); ?>

                <h1 itemprop="headline"><?php _e( 'No Posts Found', 'serpentsoft' ); ?></h1>

                <div class="post-info"></div>

            </header>

            <span class="clearfix"></span>
			
            <!-- Blog -->
            
            <div class="blog">
            	<p><?php printf( __( 'Apologies, but this category ( %s ) have no posts.', 'serpentsoft' ), '<b>' . single_cat_title( '', false ) . '</b>' ); ?></p>
            </div>
            
        </div>
        
        <?php endif; ?>
	</div>
    
</article>

<?php get_footer(); ?>