<?php
/**
 *
 * @package Serpentsoft
 * @subpackage Adams News
 * @since Adams News 1.0
 */
/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if (post_password_required())
    return; ?>

<section class="comments-box w-comments" itemprop="comment" itemscope itemtype="http://schema.org/UserComments">
    <div class="cat-widget">
        <div class="cat-widget-title">
            <h3>
                <?php if (have_comments()) :
                    if (get_comments_number() <= 0):
                        _e('No Comments', 'serpentsoft');
                    elseif (get_comments_number() == 1):
                        echo '(' . get_comments_number() . ') ' . __('Comment', 'serpentsoft');
                    else:
                        echo '(' . get_comments_number() . ') ' . __('Comments', 'serpentsoft');
                    endif;
                else:
                    _e('No Comments', 'serpentsoft');
                endif; ?>

            </h3>
        </div>

        <div class="cat-widget-content">
            <div class="row-fluid comments">

                <?php // You can start editing here -- including this comment!  ?>

                <?php if (have_comments()) : ?>

                    <ol class="commentlist">
                        <?php wp_list_comments(array('callback' => 'serpentsoft_comment', 'style' => 'ol')); ?>
                    </ol><!-- .commentlist -->

                    <?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : // are there comments to navigate through  ?>
                        <nav id="comment-nav-below" class="navigation" role="navigation">
                            <h1 class="assistive-text section-heading"><?php _e('Comment navigation', 'serpentsoft'); ?></h1>
                            <div class="nav-previous"><?php previous_comments_link(__('&larr; Older Comments', 'serpentsoft')); ?></div>
                            <div class="nav-next"><?php next_comments_link(__('Newer Comments &rarr;', 'serpentsoft')); ?></div>
                        </nav>
                    <?php endif; // check for comment navigation  ?>

                    <?php
                    /* If there are no comments and comments are closed, let's leave a note.
                     * But we only want the note on posts and pages that had comments in the first place.
                     */
                    if (!comments_open() && get_comments_number()) : ?>
                        <p class="nocomments"><?php _e('Comments are closed.', 'serpentsoft'); ?></p>

                    <?php endif; ?>

                <?php endif; // have_comments() ?>

                <?php comment_form(); ?>

            </div> <!-- cat-widget-content -->
        </div>
    </div> <!-- cat-widget -->
</section>