<?php
function serpentsoft_breadcrumbs() {

    $delimiter = '<i class="icon-caret-right icon-fixed-width"></i></li>';
    $before = '<li>';
    $after = '</li>';

    if (!is_home() && !is_front_page() || is_paged()) {

        echo '<div itemscope itemtype="http://schema.org/WebPage"><ul class="breadcrumb" itemprop="breadcrumb">';

        global $post;
        echo ' <li><a href="' . home_url() . '"><i class="bo-icon-home"></i>' . __('Home', 'serpentsoft') . '</a>' . $delimiter;

        if (is_category()) {
            global $wp_query;
            $cat_obj = $wp_query->get_queried_object();
            $thisCat = $cat_obj->term_id;
            $thisCat = get_category($thisCat);
            $parentCat = get_category($thisCat->parent);

            if ($thisCat->parent != 0) {
                $cat_code = get_category_parents($parentCat, true, $delimiter);
                echo $cat_code = str_replace('<a', '<li><a', $cat_code);
            }
            echo $before . '' . single_cat_title('', false) . '' . $after;
        } elseif (is_day()) {
            echo '<li><a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a>' . $delimiter;
            echo '<li><a href="' . get_month_link(get_the_time('Y'), get_the_time('m')) . '">' . get_the_time('F') . '</a>' . $delimiter;
            echo $before . get_the_time('d') . $after;
        } elseif (is_month()) {
            echo '<li><a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a>' . $delimiter;
            echo $before . get_the_time('F') . $after;
        } elseif (is_year()) {
            echo $before . get_the_time('Y') . $after;
        } elseif (is_single() && !is_attachment()) {
            if (get_post_type() != 'post') {
                $post_type = get_post_type_object(get_post_type());
                $slug = $post_type->rewrite;
                echo '<li><a href="' . home_url() . '/' . $slug['slug'] . '/">' . $post_type->labels->singular_name . '</a>' . $delimiter;
                echo $before . get_the_title() . $after;
            } else {
                $cat = get_the_category();
                $cat = $cat[0];
                if (!empty($cat)) {
                    $cat_code = get_category_parents($cat, TRUE, $delimiter);
                    echo $before;
                    echo $cat_code = str_replace('<li><a', '<a', $cat_code);
                    echo $after;
                }
                echo $before . get_the_title() . $after;
            }
        } elseif (!is_single() && !is_page() && get_post_type() != 'post') {
            $post_type = get_post_type_object(get_post_type());
            echo $before . $post_type->labels->singular_name . $after;
        } elseif (is_attachment()) {
            $parent = get_post($post->post_parent);
            $cat = get_the_category($parent->ID);
            $cat = $cat[0];
            echo '<li><a href="' . get_permalink($parent) . '">' . $parent->post_title . '</a>' . $delimiter;
            echo $before . get_the_title() . $after;
        } elseif (is_page() && !$post->post_parent) {
            echo $before . get_the_title() . $after;
        } elseif (is_page() && $post->post_parent) {
            $parent_id = $post->post_parent;
            $breadcrumbs = array();
            while ($parent_id) {
                $page = get_page($parent_id);
                $breadcrumbs[] = '<li><a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a>';
                $parent_id = $page->post_parent;
            }

            $breadcrumbs = array_reverse($breadcrumbs);
            foreach ($breadcrumbs as $crumb) {
                echo $crumb . $delimiter;
            }
            echo $before . get_the_title() . $after;
        } elseif (is_search()) {
            echo $before;
            printf(__('Search Results for: %s', 'serpentsoft'), get_search_query());
            echo $after;
        } elseif (is_tag()) {
            echo $before;
            printf(__('Tag Archives: %s', 'serpentsoft'), single_tag_title('', false));
            echo $after;
        } elseif (is_author()) {
            global $author;
            $userdata = get_userdata($author);
            echo $before;
            printf(__('Author Archives: %s', 'serpentsoft'), $userdata->display_name);
            echo $after;
        } elseif (is_404()) {
            echo $before;
            _e('Page Not Found', 'serpentsoft');
            echo $after;
        }

        if (get_query_var('paged')) {
            if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() || is_front_page() )
                echo ' (';
            echo __('page ', 'serpentsoft') . ' ' . get_query_var('paged');
            if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() || is_front_page() )
                echo ')';
        }

        echo '</div>';
    }
}
?>