<?php
add_action('widgets_init', 'serpentsoft_classic_widget_init');

function serpentsoft_classic_widget_init() {
    register_widget('serpentsoft_classic_widget');
}

class serpentsoft_classic_widget extends WP_Widget {

    function serpentsoft_classic_widget() {
        $widget_ops = array('classname' => 'w-posts', 'description' => '');
        $control_ops = array('width' => 250, 'height' => 350, 'id_base' => 'id-widget-classic-posts');
        $this->WP_Widget('id-widget-classic-posts', theme_name . ' - Classic Posts', $widget_ops, $control_ops);
    }

    function widget($args, $instance) {
        global $post;

        extract($args);
        $title = apply_filters('widget_title', $instance['title']);

        $title = $instance['title'];
        $cat_id = $instance['cat_id'];
        $posts_order = $instance['order'];
        $posts_num = $instance['postsnum'];
        
        echo $before_widget;
        if ($title) :
            echo $before_title;
            echo $title;
            echo $after_title;
        endif;
        
        //$wp_query = '';
        $err_msg = 'Undefined Error';
        // All Categories
        //wp_reset_query();

        if ($cat_id == '0') {
            switch ($posts_order) {
                case 'dayposts': {
                        $today = getdate();
                        $wp_query = new WP_Query(array('post_type' => 'post', 'posts_per_page' => $posts_num, 'post_status' => 'publish', 'meta_key' => 'serpentsoft_post_views_count', 'orderby' => 'meta_value_num', 'order' => 'DESC', 'year' => $today["year"], 'monthnum' => $today["mon"], 'day' => $today["mday"]));
                        if(!$wp_query->have_posts()){
                            $err_msg = 'There is no posts published today (' . $today["mday"] . '/' . $today["mon"] . '/' . $today["year"]  . ').';
                            wp_reset_query();
                        }
                    }
                    break;

                case 'mostviews': {
                        $wp_query = new WP_Query(array('post_type' => 'post', 'posts_per_page' => $posts_num, 'post_status' => 'publish', 'meta_key' => 'serpentsoft_post_views_count', 'orderby' => 'meta_value_num', 'order' => 'DESC'));
                    }
                    break;

                case 'latest': {
                        $wp_query = new WP_Query(array('post_type' => 'post', 'posts_per_page' => $posts_num, 'post_status' => 'publish'));
                    }
                    break;

                case 'random': {
                        $wp_query = new WP_Query(array('post_type' => 'post', 'posts_per_page' => $posts_num, 'orderby' => 'rand', 'post_status' => 'publish'));
                    }
                    break;
            }
        }

        // Category ID
        else {
            switch ($posts_order) {
                case 'dayposts': {
                        $today = getdate();
                        $wp_query = new WP_Query(array('post_type' => 'post', 'posts_per_page' => $posts_num, 'post_status' => 'publish', 'cat' => $cat_id, 'meta_key' => 'serpentsoft_post_views_count', 'orderby' => 'meta_value_num', 'order' => 'DESC', 'year' => $today["year"], 'monthnum' => $today["mon"], 'day' => $today["mday"]));
                        if(!$wp_query->have_posts()){
                            $err_msg = 'There is no posts published today (' . $today["mday"] . '/' . $today["mon"] . '/' . $today["year"]  . ').';
                            wp_reset_query();
                        }
                    }
                    break;

                case 'mostviews': {
                        $wp_query = new WP_Query(array('post_type' => 'post', 'posts_per_page' => $posts_num, 'post_status' => 'publish', 'cat' => $cat_id, 'meta_key' => 'serpentsoft_post_views_count', 'orderby' => 'meta_value_num', 'order' => 'DESC'));
                    }
                    break;

                case 'latest':
                    $wp_query = new WP_Query(array('post_type' => 'post', 'posts_per_page' => $posts_num, 'post_status' => 'publish', 'cat' => $cat_id));
                    //$wp_query = 'Latest News';
                    break;

                case 'random': {
                        $wp_query = new WP_Query(array('post_type' => 'post', 'posts_per_page' => $posts_num, 'cat' => $cat_id, 'orderby' => 'rand', 'post_status' => 'publish'));
                    }
                    break;
            }
        }

        if($wp_query->have_posts()) : ?>

            <div class="posts-in-widget">
                
                <ul id="<?php echo $this->get_field_id('title'); ?>" class="media-list">

                    <?php while ($wp_query->have_posts()) : $wp_query->the_post(); ?>
                        
                        <li class="media">
                            <article>
                                <a href="<?php the_permalink(); ?>" class="span3" title="<?php the_title(); ?>">
                                    <div class="media-object thumb-effect">
                                        <div class="mask"></div>
                                        <?php serpentsoft_grab_post_banner_figure($post->ID, array('class' => 'post-img')); ?>
                                    </div>
                                </a>
                                
                                <div class="media-body span9">
                                    <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
                                        <h5 class="media-heading"><?php the_title(); ?></h5>
                                    </a>

                                    <div class="media">
                                        <?php echo serpentsoft_draw_small_stars($post->ID); ?>
                                        <span title="<?php echo esc_attr( __('Published Time', 'serpentsoft') ); ?>"><i class="bo-icon-time"></i><?php the_time(serpentsoft_getDateTimeFormat('dt')); ?></span>
                                    </div>
                                </div>
                                
                            </article> 
                        </li>

                <?php endwhile; ?>

                </ul> <!-- End of UL Slides -->
                    
            </div> <!-- End of posts-in-widget -->

            
            <?php else: echo $err_msg; endif;

        echo $after_widget;
    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['postsnum'] = strip_tags($new_instance['postsnum']);
        $instance['postsperpage'] = strip_tags($new_instance['postsperpage']);

        $instance['cat_id'] = $new_instance['cat_id'];

        $instance['order'] = strip_tags($new_instance['order']);
        return $instance;
    }

    function form($instance) {
        $defaults = array('title' => __('Posts Of The Day', 'serpentsoft'), 'cat_id' => '0', 'postsnum' => '6', 'postsperpage' => '2', 'order' => 'dayposts');
        $instance = wp_parse_args((array) $instance, $defaults);

//        $obj_categories = get_categories(array('hide_empty' => 0, 'hierarchical' => 1));
//        $categories = array('0' => 'All Categories');
//
//        foreach ($obj_categories as $indv_cat) {
//            $categories[$indv_cat->cat_ID] = $indv_cat->cat_name;
//        } ?>

        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title', 'serpentsoft'); ?> :</label>

            <input id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
        </p>

        <p>
            <label for="<?php echo $this->get_field_id('cat_id'); ?>"><?php _e('Category', 'serpentsoft'); ?> :</label>
            
            <style>
                .select-cat-width{
                    width: 160px;
                }
            </style>
            <?php $args_dropdown_categories = array(
                'show_option_all' => __('All Categories', 'serpentsoft'),
                'show_option_none' => '',
                'orderby' => 'ID',
                'order' => 'ASC',
                'show_count' => 0,
                'hide_empty' => 0,
                'child_of' => 0,
                'exclude' => '',
                'echo' => 1,
                'selected' => $instance['cat_id'],
                'hierarchical' => 1,
                'name' => $this->get_field_name('cat_id'),
                'id' => $this->get_field_id('cat_id'),
                'class' => 'select select-cat-width postform'
            );
            $select_categories = wp_dropdown_categories($args_dropdown_categories); ?>
            
        </p>

        <p>
            <label for="<?php echo $this->get_field_id('order'); ?>"><?php _e('Posts Order', 'serpentsoft'); ?> :</label>

            <select id="<?php echo $this->get_field_id('order'); ?>" name="<?php echo $this->get_field_name('order'); ?>">
                <option value="dayposts" <?php if($instance['order'] == 'dayposts') { echo ' selected="selected"'; } ?>><?php _e('Posts Of The Day', 'serpentsoft'); ?></option>
                <option value="mostviews" <?php if($instance['order'] == 'mostviews') { echo ' selected="selected"'; } ?>><?php _e('Most Views', 'serpentsoft'); ?></option>
                <option value="latest" <?php if($instance['order'] == 'latest') { echo ' selected="selected"'; } ?>><?php _e('Recent', 'serpentsoft'); ?></option>
                <option value="random" <?php if($instance['order'] == 'random') { echo ' selected="selected"'; } ?>><?php _e('Random', 'serpentsoft'); ?></option>
            </select>
        </p>

        <p>
            <label for="<?php echo $this->get_field_id('postsnum'); ?>"><?php _e('Number of posts to show', 'serpentsoft'); ?> :</label>
            <input id="<?php echo $this->get_field_id('postsnum'); ?>" name="<?php echo $this->get_field_name('postsnum'); ?>" value="<?php echo $instance['postsnum']; ?>" type="text" size="3" />
        </p>

<?php } } ?>