<?php add_action('widgets_init', 'serpentsoft_mostliked_widget_init');

function serpentsoft_mostliked_widget_init() {
    register_widget('serpentsoft_mostliked_widget');
}

class serpentsoft_mostliked_widget extends WP_Widget {

    function serpentsoft_mostliked_widget() {
        $widget_ops = array('classname' => 'w-most-liked', 'description' => '');
        $control_ops = array('width' => 250, 'height' => 350, 'id_base' => 'id-widget-mostliked');
        $this->WP_Widget('id-widget-mostliked', theme_name . ' - Most Liked Box', $widget_ops, $control_ops);
    }

    function widget($args, $instance) {
        extract($args);
        $title = apply_filters('widget_title', $instance['title']);
        $count = $instance['count'];
        $show_likes = $instance['show_likes'];
        
        if(empty($count) || !is_numeric($count) || $count == 0) { $count = 5; }
        
        echo $before_widget;
        
        if ($title) :
            echo $before_title;
            echo $title;
            echo $after_title;
        endif; ?>
        
        <div class="posts-in-widget">
                
            <ul id="<?php echo $this->get_field_id('title'); ?>" class="media-list">
                <?php serpentsoft_most_liked_posts($count, '<li class="media">', '</li>', $show_likes ); ?>
            </ul>
        </div>

        <?php echo $after_widget;
    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['count'] = strip_tags($new_instance['count']);
        $instance['show_likes'] = strip_tags($new_instance['show_likes']);
        
        return $instance;
    }

    function form($instance) {
        $defaults = array('title' => __('Most Liked Posts', 'serpentsoft'), 'count' => '5', 'show_likes' => TRUE,);
        $instance = wp_parse_args((array) $instance, $defaults); ?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title', 'serpentsoft'); ?>: </label>
            <input id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
        </p>
        
        <p>
            <label for="<?php echo $this->get_field_id('count'); ?>"><?php _e('Number Of Posts (Max: 15)', 'serpentsoft'); ?>: </label>
            <input id="<?php echo $this->get_field_id('count'); ?>" name="<?php echo $this->get_field_name('count'); ?>" value="<?php echo $instance['count']; ?>" class="widefat" type="text" />
        </p>
        
        <p>
            <label for="<?php echo $this->get_field_id('show_likes'); ?>"><?php _e('Show Likes Count?', 'serpentsoft'); ?></label>
            <input id="<?php echo $this->get_field_id('show_likes'); ?>" name="<?php echo $this->get_field_name('show_likes'); ?>"
                   value="true" <?php if ($instance['show_likes']) {
            echo 'checked="checked"';
        } ?> type="checkbox" />
        </p>
        
    <?php } } ?>