<?php /**
 * The template used for displaying blog content in (archive, blog, category, tag, search) Pages
 *
 * @package Serpentsoft
 * @subpackage Adams_News
 * @since Adams News 1.0
 */ ?>

<li class="media blog-item">
    <article>
        <div class="span12 img-container" title="">
            <?php serpentsoft_post_featured_image('large', $post->ID); ?>

            <a href="<?php the_permalink(); ?>" class="more"></a>
            
            <?php echo serpentsoft_draw_large_stars($post->ID); ?>
        </div>

        <div class="row-fluid">
            <div class="media-body span12">
                <div class="row-fluid">
                    <div class="span2 blog-date">
                        <div class="date-meta">
                            <div class="post-date">
                                <div class="date">
                                    <span class="month"><?php echo get_the_date('M'); ?></span>
                                    <span class="day"><?php echo get_the_date('d'); ?></span>
                                    <span class="year"><?php echo get_the_date('Y'); ?></span>
                                    <hr />
                                    <span class="time"><?php the_time( get_option('time_format') ); ?></span>
                                </div>

                                <hr />

                                <div class="row-fluid blog-comments-views">
                                    <div class="views">
                                        <div class="mask">
                                            <div class="icon"><i class="icon-eye-open icon-2x"></i></div>
                                            <div class="number"><?php echo serpentsoft_get_post_views($post->ID); ?></div>
                                        </div>
                                    </div>

                                    <div class="comments">
                                        <div class="mask">
                                            <div class="icon"><i class="icon-comments icon-2x"></i></div>
                                            <div class="number"><?php comments_number('0', '1', '%'); ?></div>
                                        </div>
                                        <?php $comment = get_comments(array('post_id' => $post->ID, 'status' => 'approve')); ?>
                                        <?php $lnk_comment = get_permalink(); ?>
                                        <?php /* echo (!empty($comment)) ? $lnk_comment . '#comment-' . ($comment->comment_content) : $lnk_comment; */ ?>
                                        <a href="<?php echo $lnk_comment; ?>" class="more"></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="span10 blog-desc-container">
                        <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
                            <h4 class="media-heading"><?php the_title(); ?></h4>
                        </a>

                        <div class="post-meta clearfix">
                            <ul>
                                <li><a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>" title="<?php esc_attr_e( sprintf ( __( 'View %s\'s posts' , 'serpentsoft' ), get_the_author() ) ); ?>"><i class="bo-icon-pencil"></i><?php the_author(); ?></a></li>

                                <?php the_tags('<li><i class="bo-icon-tags"></i>', ', ', '</li>');
                                
                                if( function_exists('dot_irecommendthis') ){ echo '<li>'; dot_irecommendthis(); echo '</li>'; } ?>
                            </ul>
                        </div>

                        <div class="media">
                            <p class="blog-desc"><?php serpentsoft_global_GetTheExcerpt(); ?></p>

                            <a href="<?php the_permalink(); ?>" class="btn-theme"><?php _e('Continue Reading...', 'serpentsoft'); ?></a>
                        </div>
                    </div>
                </div>

            </div>
        </div>

        <div class="clearfix"></div>

        <?php serpentsoft_post_social_share_buttons(TRUE); ?>

    </article>
</li>