<?php
/*
  Template Name: Authors
 */
get_header(); ?>

<article class="article-container" itemscope itemtype="http://schema.org/Article" role="main">
    <div class="row-fluid">
        <?php $get_meta = get_post_custom($post->ID); ?>
        
        <div class="article-content">
            <?php if ( !is_front_page() ){ ?>
                <header>
                    <?php serpentsoft_single_breadcrumb(); ?>

                    <h1 itemprop="headline"><?php the_title(); ?></h1>

                    <?php serpentsoft_single_meta_info(); ?>

                </header>
            <?php } ?>

            <span class="clearfix"></span>

            <div class="post-entry" itemprop="articleBody">
                <?php the_content(); ?>
            </div>

            <div class="authors-page">
                <!-- Author Biography -->
                <aside class="row-fluid">
                    <ul class="authors">
                        <?php $users_all = get_users('blog_id=1&orderby=post_count&order=DESC');
                        foreach ($users_all as $user): ?>

                            <li class="media" itemprop="author" itemscope itemtype="http://schema.org/Person">

                                <a href="<?php echo get_author_posts_url($user->ID); ?>" class="span2" title="<?php echo $user->display_name ?>">
                                    <div class="media-object thumb-effect">    
                                        <div class="mask"></div>
                                        <?php echo get_avatar(get_the_author_meta('user_email', $user->ID), apply_filters('serpentsoft_author_bio_avatar_size', 88)); ?>
                                    </div>
                                </a>

                                <div class="media-body span10">
                                    <a itemprop="name" href="<?php echo get_author_posts_url($user->ID); ?>" title="<?php echo $user->display_name ?>">
                                        <h4 class="media-heading"><?php echo $user->display_name ?></h4>
                                    </a>

                                    <div class="media">
                                        <div itemprop="description">
                                            <?php the_author_meta('description', $user->ID); ?>
                                        </div>

                                        <?php serpentsoft_author_social_icons_list($user->ID); ?>
                                    </div>
                                </div>
                            </li>

                        <?php endforeach; ?>
                    </ul>
                </aside>
            </div><!-- authors-page -->

        </div><!-- article content -->

        <!-- Article Footer Start from author bio to comments box  -->
        <footer>
            <!-- Members Comments -->
            <?php serpentsoft_comments_box(); ?>

        </footer>

    </div><!-- row-fluid -->
</article><!-- article-container -->

<?php wp_reset_query(); ?>

<?php get_footer(); ?>