<?php
/*
  Template Name: Sitemap
 */

__('Sitemap', 'serpentsoft');
get_header();
?>

<article class="article-container" itemscope itemtype="http://schema.org/Article" role="main">
    <div class="row-fluid">
        
        <?php $get_meta = get_post_custom($post->ID); ?>
        
        <div class="article-content">
            <?php if ( !is_front_page() ){ ?>
                <header>
                    <?php serpentsoft_single_breadcrumb(); ?>

                    <h1 itemprop="headline"><?php the_title(); ?></h1>

                    <?php serpentsoft_single_meta_info(); ?>

                </header>
            <?php } ?>

            <span class="clearfix"></span>

            <div class="post-entry" itemprop="articleBody">
                <?php the_content(); ?>
            </div>


            <div class="sitemap-page">
                <?php $li_pages_args = array('title_li' => '', 'link_before' => '', 'link_after' => '', );
                $li_args = array( 'title_li' => '' ); ?>
                <div class="row-fluid">

                    <div class="span3">
                        <div class="sitemap-title">
                            <h2><?php _e('Pages', 'serpentsoft') ?></h2>
                        </div>
                        <ul class="sitemap-content icons-ul"><?php wp_list_pages($li_pages_args); ?></ul>
                    </div>

                    <div class="span3">
                        <div class="sitemap-title">
                            <h2><?php _e('Categories', 'serpentsoft') ?></h2>
                        </div>
                        <ul class="sitemap-content icons-ul"><?php wp_list_categories($li_args); ?></ul>
                    </div>

                    <div class="span3">
                        <div class="sitemap-title">
                            <h2><?php _e('Tags', 'serpentsoft') ?></h2>
                        </div>
                        <ul class="sitemap-content icons-ul">
                            <?php $lstTags = get_tags();
                            if ($lstTags) {
                                foreach ($lstTags as $tag) {
                                    echo '<li><a href="' . get_tag_link($tag->term_id) . '">' . $tag->name . '</a></li>';
                                }
                            } ?>
                        </ul>
                    </div>

                    <div class="span3">
                        <div class="sitemap-title">
                            <h2><?php _e('Authors', 'serpentsoft') ?></h2>
                        </div>

                        <ul class="sitemap-content icons-ul"><?php wp_list_authors(array('exclude_admin' => '0')); ?></ul>
                    </div>

                </div>

            </div>
            
            <div class="clearfix"></div>

            <?php serpentsoft_post_social_share_buttons(); ?>
        </div>
        
        <!-- Article Footer Start from author bio to comments box  -->
        <footer>
            <!-- Members Comments -->
            <?php serpentsoft_comments_box(); ?>
        </footer>

    </div><!-- row-fluid -->
</article><!-- article-container -->

<?php wp_reset_query(); ?>

<?php get_footer(); ?>