<?php
/*
  Template Name: Tags
 */
get_header(); ?>

<article class="article-container" itemscope itemtype="http://schema.org/Article" role="main">
    <div class="row-fluid">

        <?php $get_meta = get_post_custom($post->ID); ?>
        
        <div class="article-content">
            <?php if ( !is_front_page() ){ ?>
                <header>
                    <?php serpentsoft_single_breadcrumb(); ?>

                    <h1 itemprop="headline"><?php the_title(); ?></h1>

                    <?php serpentsoft_single_meta_info(); ?>

                </header>
            <?php } ?>

            <span class="clearfix"></span>

            <div class="post-entry" itemprop="articleBody">
                <?php the_content(); ?>
            </div>

            <div class="tags-page">
                <div class="row-fluid">
                    <ul class="tags-cloud inline">
                        <?php $lstTags = get_tags();
                        if ($lstTags) {
                            foreach ($lstTags as $tag) {
                                echo '<li><a class="btn-theme" href="' . get_tag_link($tag->term_id) . '">' . $tag->name . '</a></li>';
                            }
                        } ?>
                    </ul>
                </div>

            </div>
            
            <div class="clearfix"></div>

            <?php serpentsoft_post_social_share_buttons(); ?>
        </div>
        
        <!-- Article Footer Start from author bio to comments box  -->
        <footer>
            <!-- Members Comments -->
            <?php serpentsoft_comments_box(); ?>

        </footer>

    </div><!-- row-fluid -->
</article><!-- article-container -->

<?php wp_reset_query(); ?>

<?php get_footer(); ?>