<?php
/**
 * The template for displaying Search Results pages.
 *
 * @package Serpentsoft
 * @subpackage Adams_News 1.0
 * @since Adams News 1.0
 */
get_header(); ?>

<article class="article-container" itemscope itemtype="http://schema.org/Article" role="main">
    <div class="row-fluid">

        <?php if (have_posts()) : ?>
            <div class="article-content">
                <header>
                    <?php serpentsoft_single_breadcrumb(); ?>

                    <h1 itemprop="headline"><?php printf(__('Search Results for: %s', 'serpentsoft'), '<span>' . get_search_query() . '</span>'); ?></h1>

                    <div class="post-info"></div>

                </header>

                <span class="clearfix"></span>

                <!-- Blog Search -->
                <div class="blog">
                    <ul class="media-list">
                        <?php while (have_posts()) : the_post();
                        get_template_part('loop', 'blog');
                        endwhile; ?>
                    </ul>

                    <div class="row-fluid paging-footer">

                        <?php serpentsoft_bootstrap_pagination(); ?>

                    </div>

                </div> <!-- blog div -->

            </div> <!-- article-content -->

        <?php else: ?>

            <div class="article-content post no-results not-found">
                <header>
                    <?php if ( serpentsoft_get_data('serpentsoft_switch_breadcrumb') ): serpentsoft_breadcrumbs(); endif; ?>

                    <h1 itemprop="headline">
                        <?php _e('No Results Found', 'serpentsoft'); ?>
                    </h1>

                    <div class="post-info"></div>

                </header>

                <span class="clearfix"></span>

                <!-- Blog -->



                <div class="blog">
                    <p><?php _e('Apologies, but nothing matched your search criteria. Please try again with some different keywords.', 'serpentsoft'); ?></p>
                    <?php get_search_form(); ?>
                </div>

            </div>
        <?php endif; ?>

    </div>
</article>

<?php get_footer(); ?>